<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00001">
    <sch:p class="ruleText">
        [PUBS-ID-00001][Warning] For every optional element that exists in the 
        document and can have text content, the element should have non-null, 
        non-whitespace value.
    </sch:p>
    
    <sch:p class="codeDesc">
        This pattern uses an abstract rule to consolidate logic. The abstract rule
        first concatenates the text values within the given element, separated by a single 
        space. The resultant string is then normalized with leading and trailing 
        whitespace removed, and the length of the string is determined to be greater 
        than zero, which indicates non-whitespace content. The abstract rule is extended 
        once for each optional element in the PUBS schema.  
    </sch:p>
    
    <sch:rule abstract="true" id="abs.rule00001">
        <sch:assert test="normalize-space(string())" flag="warning">
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </sch:assert>
    </sch:rule>
    
    <!-- Begin using abstract rule on optional elements -->
    
    <!-- mixed='true' -->
    <sch:rule context="pubs:AbbreviatedTitle">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:AttributionText">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:BiographicalSketch">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Caption">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:CompilationTitle">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Description">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Drug">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:EmphasizedText">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Footnote">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Legend">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Link">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:ListItem">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Para">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:PreformattedText">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:SourceDescriptor">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:SourcedText">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Subtitle">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:TextBox">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Title">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:entry">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <!-- Extensions of RunningTextType -->
    <sch:rule context="pubs:Account">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:CommData">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Commodity">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Concept">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:CountryName">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Date">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:DateTime">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:EntityUntyped">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Equipment">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Event">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Facility">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:GeoFeature">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:GeoRef">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Identifier">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:InfoBearer">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:LocationOfInterest">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:MilitaryUnit">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Money">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Nomenclature">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:NoteInline">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Organization">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Person">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:QuantityReference">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Quote">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:SystemClass">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Term">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Time">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Vehicle">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Weapon">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <!-- Things with Strings -->
    <sch:rule context="pubs:Abbreviation">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Acronym">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:AddressLine">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:BibliographyEntry">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:City">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:ContactFor">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:CopyrightAttribution">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:DocumentID">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:EditionNumber">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:GenerationalQualifier">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:GivenName">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:GlossaryTerm">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Honorific">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:IndexEntry">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:IssueNumber">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:JobTitle">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:MediaExtent">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:MilitaryRank">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:OfficeName">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:OriginalClassificationMarking">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:PersonalTitle">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:PostalCode">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Province">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:SegmentLabel">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:SourceID">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:State">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Subscript">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Superscript">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Surname">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:UUID">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:VolumeNumber">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:locatorLink">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    
    <!-- extension of xsd:string -->
    <sch:rule context="pubs:Affiliation">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:AlternateFormat">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:CountryCode">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:EmailAddress">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:FaxNumber">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:FormattedSignatureBlock">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:InternalID">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:NetworkAddress">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:OtherProperty">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:PhoneNumber">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:PlaceName">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:ProductLine">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:Region">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:SubjectCategory">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:SubjectCode">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:UserID">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <sch:rule context="pubs:WebPageAddress">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
    
    <!-- IRM Related elements -->
    <sch:rule context="ddms:NonStateActor">
        <sch:extends rule="abs.rule00001"/>
    </sch:rule>
</sch:pattern>
