<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00045">
    <sch:p class="ruleText"> [PUBS-ID-00045][Warning] DateApproved must
        be earlier than or equivalent to DatePublished and DatePosted.
        
        Human Readable: DateApproved has to be less than or equal to DatePublished and DatePosted.    
    </sch:p>

    <sch:p class="codeDesc">
        For each ddms:dates element which specifies attribute ddms:approvedOn, 
        this rule ensures that the date specified in attribute ddms:approvedOn is
        earlier than or equivalent to the date specified in attribute 
        ddms:posted and the date specified in the ddms:temporalCoverage
        element with ddms:name [DatePublished].
    </sch:p>

    <sch:rule context="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:dates[@ddms:approvedOn]">
        <sch:let name="secondaryDateList"
               value="(ancestor::tdf:TrustedDataObject//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished, @ddms:datePosted)"/>
        <sch:assert test="             every $secondaryDate in $secondaryDateList satisfies                 dtf:compareDateTimeRanges(string(@ddms:approvedOn), '&lt;=', string($secondaryDate))"
                  flag="warning">
            [PUBS-ID-00045][Warning][PUBS-ID-00045][Warning] DateApproved must
        	be earlier than or equivalent to DatePublished and DatePosted.
        	
        	Human Readable: DateApproved has to be less than or equal to DatePublished and DatePosted.
        </sch:assert>
    </sch:rule>
</sch:pattern>
