<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron"
             is-a="CompareDateTimes"
             id="PUBS-ID-00046">
    <sch:p class="ruleText">
        [PUBS-ID-00046][Error] DateInfoCutoff must 
        be earlier than or equivalent to DateApproved, DatePublished 
        and DatePosted.        
        
        Human Readable: DateInfoCutoff has to be less than or equal to DateApproved, DatePublished, and DatePosted.
    </sch:p>
    
    <sch:p class="codeDesc">
        This rule uses an abstract pattern to consolidate logic.
        It compares the date contained within the param $context to each date 
        contained within the param $secondaryDateList (using the comparison operator 
        contained in param $operator) and makes sure that each comparison returns 
        true. Implementation details for the abstract pattern can be found in the 
        abstract pattern definition file located in the Lib directory.
    </sch:p>
    
    <sch:param name="ruleText"
              value="'         [PUBS-ID-00046][Error] DateInfoCutoff must          be earlier than or equivalent to DateApproved, DatePublished          and DatePosted.                 '"/>
    
    <sch:param name="codeDesc"
              value="'         This rule uses an abstract pattern to consolidate logic.         It compares the date contained within the param $context to each date          contained within the param $secondaryDateList (using the comparison operator          contained in param $operator) and makes sure that each comparison returns          true. Implementation details for the abstract pattern can be found in the          abstract pattern definition file located in the Lib directory.         '"/>
    
    <sch:param name="context"
              value="tdf:*[descendant::tdf:StructuredPayload/pubs:IntelDoc]//tdf:Assertion//ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end"/>
    <sch:param name="operator" value="'&lt;='"/>
    <sch:param name="secondaryDateList"
              value="(ancestor::ddms:resource/ddms:dates/@ddms:approvedOn,          ancestor::tdf:TrustedDataObject//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,                  ancestor::ddms:resource/ddms:dates/@ddms:posted)"/>
    <sch:param name="flag" value="'error'"/>
</sch:pattern>
