<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00047">
    <sch:p class="ruleText">
        [PUBS-ID-00047][Warning] DateValidTil must be later than or equivalent
        to DateApproved, DatePublished, DatePosted, and DateInfoCutoff.
        
        Human Readable: DateValidTil has to be greater than or equal to DateApproved, DatePublished, DatePosted, and DateInfoCutoff.
    </sch:p>
    
    <sch:p class="codeDesc">
        For each ddms:dates element which specifies attribute ddms:validTil, 
        this rule ensures that the date specified in attribute ddms:validTil is
        later than or equivalent to the date specified in attribute 
        ddms:posted, in attribute ddms:approvedOn, in the ddms:temporalCoverage
        element with ddms:name [DatePublished], and in the ddms:temporalCoverage
        element with ddms:name [infoCutOff].
    </sch:p>
    
    <sch:rule context="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:dates[@ddms:validTil]">
        <sch:let name="secondaryDateList"
            value="(                 @approvedOn,                 ancestor::tdf:*/descendant::pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,                 @ddms:posted,                 ancestor::ddms:resource/ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end )"/>
        <sch:assert test="             every $secondaryDate in $secondaryDateList satisfies                 dtf:compareDateTimeRanges(string(@ddms:validTil), '&gt;=', string($secondaryDate))"
                  flag="warning">
            [PUBS-ID-00047][Warning] DateValidTil must be later than or equivalent
            to DateApproved, DatePublished, DatePosted, and DateInfoCutoff.
            
            Human Readable: DateValidTil has to be greater than or equal to DateApproved, DatePublished, DatePosted, and DateInfoCutoff.
        </sch:assert>
    </sch:rule>
</sch:pattern>
