<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron"
             is-a="CompareDateTimes"
             id="PUBS-ID-00050">
    <sch:p class="ruleText">
        [PUBS-ID-00050][Warning] DateReviewed must be earlier than or equivalent
        to DateApproved, DatePublished, and DatePosted.
        
        Human Readable: DateReviewed has to be less than or equal to DateApproved, DatePublished, and DatePosted.
    </sch:p>
    
    <sch:p class="codeDesc">
        This rule uses an abstract pattern to consolidate logic.
        It compares the date contained within the p $context to each date 
        contained within the p $secondaryDateList (using the comparison operator 
        contained in p $operator) and makes sure that each comparison returns 
        true. Implementation details for the abstract pattern can be found in the 
        abstract pattern definition file located in the Lib directory.
    </sch:p>
    
    <sch:param name="ruleText"
              value="'         [PUBS-ID-00050][Warning] DateReviewed must be earlier than or equivalent         to DateApproved, DatePublished, and DatePosted.         '"/>

    <sch:param name="codeDesc"
              value="'         This rule uses an abstract pattern to consolidate logic.         It compares the date contained within the param $context to each date          contained within the param $secondaryDateList (using the comparison operator          contained in param $operator) and makes sure that each comparison returns          true. Implementation details for the abstract pattern can be found in the          abstract pattern definition file located in the Lib directory.         '"/>
    
    <sch:param name="context"
              value="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateReviewed"/>
    <sch:param name="operator" value="'&lt;='"/>
    <sch:param name="secondaryDateList"
              value="(ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:approvedOn,             ancestor::tdf:*/descendant::pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,             ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:posted)"/>
    <sch:param name="flag" value="'warning'"/>
</sch:pattern>
