<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00055">
  <sch:p class="ruleText">
      [PUBS-ID-00055][Warning]
      For attributes dateTime, normalizedDateTime, and normalizedTime,
      it is recommended that time zone be specified.
      
      Human Readable: It is recommended that a time zone be specified in the attributes dateTime, normalizedDateTime, and normalizedTime.
  </sch:p>
  
  <sch:p class="codeDesc">
  	For attributes dateTime, normalizedDateTime, and normalizedTime,
  	this rule ensures that if the attribute is specified, then it matches
  	the regular expression for a date with a time zone specified.
  </sch:p>

	  <sch:rule context="pubs:*[@dateTime | @normalizedDateTime | @normalizedTime]">
		    <sch:assert test="    (if(@dateTime)    then matches(string(@dateTime),$endsWithTimeZoneRegEx)    else true())     and    (if(@normalizedDateTime)    then matches(string(@normalizedDateTime),$endsWithTimeZoneRegEx)    else true())    and    (if(@normalizedTime)    then matches(string(@normalizedTime),$endsWithTimeZoneRegEx)    else true())    "
                  flag="warning">
			[PUBS-ID-00055][Warning]
			For attributes dateTime, normalizedDateTime, and normalizedTime, 
			it is recommended that time zone be specified.
			
			Human Readable: It is recommended that a time zone be specified in the attributes dateTime, normalizedDateTime, and normalizedTime.
		</sch:assert>
	  </sch:rule>
</sch:pattern>
