<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron"
             is-a="ValidateValueExistenceInList"
             id="PUBS-ID-00064">
    <sch:p class="ruleText">
        [PUBS-ID-00064][Error]
        If the element QuantityReference has the attribute unitOfMeasureVocabulary with a value 
        of ISO4217-NR the value of attribute unitOfMeasure must be in CVEnumISO4217Numeric.xml.
        
        Human Readable: If element QuantityReference attribute unitOfMeasureVocabulary value is ISO4217-NR, then the value of attribute
        unitOfMeasure must be in CVEnumISO4217Numeric.xml.
    </sch:p>
   
    <sch:p class="codeDesc">
        This rule uses an abstract pattern to consolidate logic. It checks that the
        value in parameter $searchTerm is contained in the parameter $list. The parameter
        $searchTerm is relative in scope to the parameter $context. The value for the parameter 
        $list is a variable defined in the main document (PUBS_XML.sch), which reads 
        values from a specific CVE file.
    </sch:p>
    
    <sch:param name="ruleText"
              value="'         [PUBS-ID-00064][Error]         If the element QuantityReference has the attribute unitOfMeasureVocabulary with a value          of ISO4217-NR the value of attribute unitOfMeasure must be in CVEnumISO4217Numeric.xml.         '"/>
    
    <sch:param name="codeDesc"
              value="'         This rule uses an abstract pattern to consolidate logic. It checks that the         value in parameter $searchTerm is contained in the parameter $list. The parameter         $searchTerm is relative in scope to the parameter $context. The value for the parameter          $list is a variable defined in the main document (PUBS_XML.sch), which reads          values from a specific CVE file.         '"/>
    
    <sch:param name="context"
              value="pubs:QuantityReference[@unitOfMeasureVocabulary='ISO4217-NR']"/>
    <sch:param name="searchTerm" value="@unitOfMeasure"/>
    <sch:param name="list" value="$iso4217NumericList"/>
    <sch:param name="errMsg"
              value="'         [PUBS-ID-00064][Error]         If the element QuantityReference has the attribute unitOfMeasureVocabulary with a value          of ISO4217-NR the value of attribute unitOfMeasure must be in CVEnumISO4217Numeric.xml.         '"/>
</sch:pattern>
