<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron"
             is-a="ValidateValueExistenceInList"
             id="PUBS-ID-00072">
    <sch:p class="ruleText">
        [PUBS-ID-00072][Error]
        If element CountryName has attribute countryCodeVocabulary specified as ISO-3
        the attribute countryCode value must be in CVEnumPubsCountryISO3166Trigraph.xml.
        
        Human Readable: If element CountryName attribute countryCodeVocabulary value is ISO-3, then the value of attribute
        countryCode must be in CVEnumPubsCountryISO3166Trigraph.xml.
    </sch:p>
    
    <sch:p class="codeDesc">
        This rule uses an abstract pattern to consolidate logic. It checks that the
        value in parameter $searchTerm is contained in the parameter $list. The parameter
        $searchTerm is relative in scope to the parameter $context. The value for the parameter 
        $list is a variable defined in the main document (PUBS_XML.sch), which reads 
        values from a specific CVE file.
    </sch:p>
    
    <sch:param name="ruleText"
              value="'         [PUBS-ID-00072][Error]         If element CountryName has attribute countryCodeVocabulary specified as ISO-3         the attribute countryCode value must be in CVEnumPubsCountryISO3166Trigraph.xml         '"/>
    
    <sch:param name="codeDesc"
              value="'         This rule uses an abstract pattern to consolidate logic. It checks that the         value in parameter $searchTerm is contained in the parameter $list. The parameter         $searchTerm is relative in scope to the parameter $context. The value for the parameter          $list is a variable defined in the main document (PUBS_XML.sch), which reads          values from a specific CVE file.         '"/>
    
    <sch:param name="context" value="pubs:CountryName[@countryCodeVocabulary='ISO-3']"/>
    <sch:param name="searchTerm" value="@countryCode"/>
    <sch:param name="list" value="$countryIso3166TrigraphList"/>
    <sch:param name="errMsg"
              value="'         [PUBS-ID-00072][Error]         If element CountryName has attribute countryCodeVocabulary specified as ISO-3         the attribute countryCode value must be in CVEnumPubsCountryISO3166Trigraph.xml         '"/>
</sch:pattern>
