<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00079">
    <sch:p class="ruleText">
        [PUBS-ID-00079][Error]
        Element DescriptiveMetadata/Title must not start with any of the following strings
        ADMINISTRATIVE RECALL, or ADMINISTRATIVE REVISION, or SUBSTANTIVE RECALL, or SUBSTANTIVE REVISION.
        
        Human Readable: Using text in the Title is incorporated into the schema using RevisionRecall. Element DescriptiveMetadata/Title 
        cannot start with any of the following strings: ADMINISTRATIVE RECALL, or ADMINISTRATIVE REVISION, or SUBSTANTIVE RECALL, or SUBSTANTIVE REVISION.
    </sch:p>
    
    <sch:p class="codeDesc">
        If element DescriptiveMetadata/Title is specified with a value that starts with ADMINISTRATIVE RECALL, ADMINISTRATIVE REVISION, 
        SUBSTANTIVE RECALL, or SUBSTANTIVE REVISION, then this rule returns false.  The Revision Recall Best practice method of using text in the Title 
        is now incorporated into the schema using RevisionRecall therefore use in this DES is rescinded.
    </sch:p>

    <sch:rule context="pubs:DescriptiveMetadata/pubs:Title | tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:title">
        <sch:assert test="             if(starts-with(upper-case(.),'ADMINISTRATIVE RECALL')                 or starts-with(upper-case(.),'ADMINISTRATIVE REVISION')                 or starts-with(upper-case(.),'SUBSTANTIVE RECALL')                 or starts-with(upper-case(.),'SUBSTANTIVE REVISION')             ) then false()             else true()             "
                  flag="error">
            [PUBS-ID-00079][Error] Element DescriptiveMetadata/Title must not start with any of the following strings
            ADMINISTRATIVE RECALL, or ADMINISTRATIVE REVISION, or SUBSTANTIVE RECALL, or SUBSTANTIVE REVISION.
            
            Human Readable: Element DescriptiveMetadata/Title cannot start with any of the following strings: ADMINISTRATIVE RECALL, or 
            ADMINISTRATIVE REVISION, or SUBSTANTIVE RECALL, or SUBSTANTIVE REVISION.
        </sch:assert>        
    </sch:rule>
</sch:pattern>
