<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00081">
    <sch:p class="ruleText">
        [PUBS-ID-00081][Error]
        If element SourceReference has attribute publisherType with 
        a value of [open-source], then child element SourceType must be specified.
        
        Human Readable: If element SourceReference attribute publisherType has a value of [open-source], then there must be a value for child 
        element SourceType.
    </sch:p>
    
    <sch:p class="codeDesc">
        For each element SourceReference with attribute publisherType specified
        with a value of [open-source], this rule normalizes the space of the value of 
        child element SourceType and makes sure that the length of the resulting 
        string is greater than zero, which indicates non-whitespace content.
    </sch:p>
    
    <sch:rule context="pubs:SourceReference[@publisherType='open-source']">
        <sch:assert test="string-length(normalize-space(string(./pubs:SourceType))) &gt; 0"
                  flag="error">
            [PUBS-ID-00081][Error]
            If element SourceReference has attribute publisherType with 
            a value of [open-source], then child element SourceType must be specified.
            
            Human Readable: If element SourceReference attribute publisherType has a value of [open-source], then there must be a value for child 
            element SourceType.
        </sch:assert>
    </sch:rule>
</sch:pattern>
