<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00082">
    <sch:p class="ruleText">
        [PUBS-ID-00082][Error]
        The attribute ism:noticeType must not be specified for any element in 
        the namespace urn:us:gov:ic:pubs except IntelDoc, Note, NoteInline, AuthorInfo, CoauthorInfo, ContributingAuthorInfo, or POCinfo.
        
        Human Readable: Attribute ism:noticeType can only exist in the namespace urn:us:gov:ic:pubs for the following elements: IntelDoc, Note, 
        NoteInline, AuthorInfo, CoauthorInfo, ContributingAuthorInfo, or POCinfo.
    </sch:p>
    
    <sch:p class="codeDesc">
        For all elements in the namespace urn:us:gov:ic:pubs with 
        attribute ism:noticeType specified, this rule ensures that the name
        of the element is one of IntelDoc, Note, NoteInline, AuthorInfo, CoauthorInfo, ContributingAuthorInfo, or POCinfo.
    </sch:p>
    
    <sch:rule context="pubs:*[@ism:noticeType][not(self::pubs:Note | self::pubs:AuthorInfo | self::pubs:NoteInline | self::pubs:IntelDoc | self::pubs:CoauthorInfo | self::pubs:ContributingAuthorInfo | self::pubs:POCinfo)]">
        <sch:assert test="false()" flag="error">
            [PUBS-ID-00082][Error]
            The attribute ism:noticeType must not be specified for any element in 
            the namespace urn:us:gov:ic:pubs except IntelDoc, Note, NoteInline, AuthorInfo, CoauthorInfo, ContributingAuthorInfo, or POCinfo.
            
            Human Readable: Attribute ism:noticeType can only exist in the namespace urn:us:gov:ic:pubs for the following elements: IntelDoc, Note, 
            NoteInline, AuthorInfo, CoauthorInfo, ContributingAuthorInfo, or POCinfo.
        </sch:assert>
    </sch:rule>
</sch:pattern>
