<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00086">
    <sch:p class="ruleText">
        [PUBS-ID-00086][Error]
        If PublicationMetadataList contains more than one PublicationMetadata 
        then all the PublicationMetadata elements must have ISM security marks present.
    </sch:p>
    
    <sch:p class="codeDesc">
        For each PublicationMetadataList element with more than one
        PublicationMetadata child, we check that the PublicationMetadata 
        child element specifies the attribute ism:classification, which 
        indicates ISM security markings.
    </sch:p>
    
    <sch:rule context="pubs:PublicationMetadataList[count(pubs:PublicationMetadata) > 1]/pubs:PublicationMetadata">
        <sch:assert 
            test="@ism:classification"
            flag="error">
            [PUBS-ID-00086][Error] When there are multiple PublicationMetadata each must be security portion marked 
            to facilitate use of PublicationMetadata at a different level than the document.
        </sch:assert>
    </sch:rule>
</sch:pattern>
