<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00099">
	  <sch:p class="ruleText">
		[PUBS-ID-00099][Error] For any element, if attribute xlink:type is specified
		with a value of [resource], then that element can only define the following
		attributes in the xlink namespace: xlink:type, xlink:role, xlink:title, and xlink:label.
		
		Human Readable: If any element has attribute xlink:type with a value of [resource], then that element can only have values for the
		following in the xlink namespace: xlink:type, xlink:role, xlink:title, and xlink:label.
	</sch:p>

	  <sch:p class="codeDesc">
		Makes sure that for each element that has attribute xlink:type specified
		with a value of [extended] only defines the following attributes in the xlink namespace:
		xlink:type, xlink:role, and xlink:title.
	</sch:p>

	  <sch:rule context="pubs:*[@xlink:type='resource']">
		    <sch:let name="xlinkAttrLocalNames"
               value="for $attr in @xlink:* return $attr/local-name()"/>
		    <sch:let name="allowedXlinkLocalNamesList"
               value="('type', 'role', 'title', 'label')"/>
		    <sch:assert test="     every $attrLocalName in $xlinkAttrLocalNames satisfies      index-of($allowedXlinkLocalNamesList, $attrLocalName)    "
                  flag="error">
			[PUBS-ID-00099][Error] For any element, if attribute xlink:type is specified
			with a value of [resource], then that element can only define the following
			attributes in the xlink namespace: xlink:type, xlink:role, xlink:title, and xlink:label.
			
			Human Readable: If any element has attribute xlink:type with a value of [resource], then that element can only have values for the
			following in the xlink namespace: xlink:type, xlink:role, xlink:title, and xlink:label.
		</sch:assert>
	  </sch:rule>
</sch:pattern>
