<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron"
    id="PUBS-ID-00122"
    is-a="ValidateValueExistenceInList">
    <sch:p class="ruleText">
        [PUBS-ID-00122][Error] For element ddms:language, attribute ddms:qualifier must have a 
        value in CVEnumIRMCompoundLanguageQualifierType.xml.
        
        Human Readable: If a qualifier is specified for a language, it must appear in 
        the CompoundLanguageQualifierType CVE.
    </sch:p>
    
    <sch:p class="codeDesc">
        This rule uses an abstract pattern to consolidate logic. It checks that the
        value in parameter $searchTerm is contained in the parameter $list. The parameter
        $searchTerm is relative in scope to the parameter $context. The value for the parameter 
        $list is a variable defined in the main document (PUBS_XML.sch), which reads 
        values from a specific CVE file.
    </sch:p>
    
    <sch:param name="ruleText"
        value="'   [PUBS-ID-00122][Error] For element ddms:language, attribute ddms:qualifier must have a    value in CVEnumIRMCompoundLanguageQualifierType.xml.   '"/>
    
    <sch:param name="codeDesc"
        value="'   This rule uses an abstract pattern to consolidate logic. It checks that the   value in parameter $searchTerm is contained in the parameter $list. The parameter   $searchTerm is relative in scope to the parameter $context. The value for the parameter    $list is a variable defined in the main document (PUBS_XML.sch), which reads    values from a specific CVE file.   '"/>
    
    <sch:param name="context"
        value="pubs:OriginalLanguageVersion//ddms:language"/>
    <sch:param name="searchTerm" value="@ddms:qualifier"/>
    <sch:param name="list" value="$compoundLanguageQualifierTypeList"/>
    <sch:param name="errMsg"
        value="'   [PUBS-ID-00122][Error] For element ddms:language, attribute ddms:qualifier must have a    value in CVEnumIRMCompoundLanguageQualifierType.xml.   '"/>
</sch:pattern>
