<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00123">
    <sch:p class="ruleText">
        [PUBS-ID-00123][Error] The @irm:DESVersion is less than the minimum version 
        allowed: 12. 
        
        Human Readable: The IRM version imported by PUBS must be greater than or equal to 12. 
    </sch:p>
    <sch:p class="codeDesc">
        For all elements that contain @irm:DESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 12.  
    </sch:p>
    <sch:rule context="*[@irm:DESVersion]">
        <sch:let name="version" value="number(if (contains(@irm:DESVersion,'-')) then substring-before(@irm:DESVersion,'-') else @irm:DESVersion)"/>
        <sch:assert test="$version &gt;= 12" flag="error">
            [PUBS-ID-00123][Error] The @irm:DESVersion is less than the minimum version 
            allowed: 12. 
            
            Human Readable: The IRM version imported by PUBS must be greater than or equal to 12. 
        </sch:assert>
    </sch:rule>
</sch:pattern>
