<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00124">
    <sch:p class="ruleText">
        [PUBS-ID-00124][Error] The @src:DESVersion is less than the minimum version 
        allowed: 201508. 
        
        Human Readable: The SRC version imported by PUBS must be greater than or equal to 2015-AUG. 
    </sch:p>
    <sch:p class="codeDesc">
        For all elements that contain @src:DESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 201508.  
    </sch:p>
    <sch:rule context="*[@src:DESVersion]">
        <sch:let name="version" value="number(if (contains(@src:DESVersion,'-')) then substring-before(@src:DESVersion,'-') else @src:DESVersion)"/>
        <sch:assert test="$version &gt;= 201508" flag="error">
            [PUBS-ID-00124][Error] The @src:DESVersion is less than the minimum version 
            allowed: 201508. 
            
            Human Readable: The SRC version imported by PUBS must be greater than or equal to 2015-AUG. 
        </sch:assert>
    </sch:rule>
</sch:pattern>