<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00127">
    <sch:p class="ruleText">
        [PUBS-ID-00127][Error] The @edh:DESVersion is less than the minimum version 
        allowed: 4. 
        
        Human Readable: The IC-EDH version imported by PUBS must be greater than or equal to 4. 
    </sch:p>
    <sch:p class="codeDesc">
        For all elements that contain @edh:DESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 4.  
    </sch:p>
    <sch:rule context="*[@edh:DESVersion]">
        <sch:let name="version" value="number(if (contains(@edh:DESVersion,'-')) then substring-before(@edh:DESVersion,'-') else @edh:DESVersion)"/>
        <sch:assert test="$version &gt;= 4" flag="error">
            [PUBS-ID-00127][Error] The @edh:DESVersion is less than the minimum version 
            allowed: 4. 
            
            Human Readable: The IC-EDH version imported by PUBS must be greater than or equal to 4. 
        </sch:assert>
    </sch:rule>
</sch:pattern>