<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00128">
    <sch:p class="ruleText">
        [PUBS-ID-00128][Error] The @virt:DESVersion is less than the minimum version 
        allowed: 1. 
        
        Human Readable: The VIRT version imported by PUBS must be greater than or equal to 1.
    </sch:p>
    <sch:p class="codeDesc">
        For all descendant elements of pubs:IntelDoc that contain @virt:DESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 1. 
    </sch:p>
    
    <sch:rule context="//pubs:IntelDoc//*[@virt:DESVersion]">
        <sch:let name="version" value="number(if (contains(@virt:DESVersion,'-')) then substring-before(@virt:DESVersion,'-') else @virt:DESVersion)"/>
        <sch:assert test="$version &gt;= 1" flag="error">
            [PUBS-ID-00128][Error] The @virt:DESVersion is less than the minimum version 
            allowed: 1. 
            
            Human Readable: The VIRT version imported by PUBS must be greater than or equal to 1.
        </sch:assert>
    </sch:rule>
</sch:pattern>