<?xml version="1.0" encoding="UTF-8"?>
<!--UNCLASSIFIED--><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:pubs="urn:us:gov:ic:pubs"
                xmlns:genc="urn:us:gov:ic:icgenc"
                xmlns:edh="urn:us:gov:ic:edh"
                xmlns:src="urn:us:gov:ic:src"
                xmlns:cve="urn:us:gov:ic:cve"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:ism="urn:us:gov:ic:ism"
                xmlns:irm="urn:us:gov:ic:irm"
                xmlns:tdf="urn:us:gov:ic:tdf"
                xmlns:ddms="urn:us:mil:ces:metadata:ddms:5"
                xmlns:dtf="date:time:function"
                xmlns:intdis="urn:us:gov:ic:intdis"
                xmlns:mime="urn:us:gov:ic:mime"
                xmlns:virt="urn:us:gov:ic:virt"
                version="2.0"><!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. -->
<xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="yes"/>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:getMaxDay"
                 as="xs:string">
		    <xsl:param name="date" as="xs:dateTime"/>
		    <xsl:variable name="month" select="number(dtf:getMonth(string($date)))"/>
		    <xsl:choose>
			      <xsl:when test="$month = (1,3,5,7,8,10,12)">
				        <xsl:value-of select="31"/>
			      </xsl:when>
			      <xsl:when test="$month = (4,6,9,11)">
				        <xsl:value-of select="30"/>
			      </xsl:when>
			      <xsl:otherwise>
				        <xsl:choose>
					          <xsl:when test="dtf:isLeapYear(string($date))">
						            <xsl:value-of select="29"/>
					          </xsl:when>
					          <xsl:otherwise>
						            <xsl:value-of select="28"/>
					          </xsl:otherwise>
				        </xsl:choose>
			      </xsl:otherwise>
		    </xsl:choose>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:isLeapYear"
                 as="xs:boolean">
		    <xsl:param name="date" as="xs:string"/>
		    <xsl:variable name="year" as="xs:integer" select="xs:integer(dtf:getYear($date))"/>
		    <xsl:choose>
			      <xsl:when test="$year mod 100 = 0">
				        <xsl:choose>
					          <xsl:when test="$year mod 400 = 0">
						            <xsl:value-of select="true()"/>
					          </xsl:when>
					          <xsl:otherwise>
						            <xsl:value-of select="false()"/>
					          </xsl:otherwise>
				        </xsl:choose>
			      </xsl:when>
			      <xsl:otherwise>
				        <xsl:choose>
					          <xsl:when test="$year mod 4 = 0">
						            <xsl:value-of select="true()"/>
					          </xsl:when>
					          <xsl:otherwise>
						            <xsl:value-of select="false()"/>
					          </xsl:otherwise>
				        </xsl:choose>
			      </xsl:otherwise>
		    </xsl:choose>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:replaceDateTimeDay"
                 as="xs:dateTime">
		    <xsl:param name="dateTime" as="xs:dateTime"/>
		    <xsl:param name="newDayString" as="xs:string"/>
		    <xsl:variable name="beforeDay" select="substring(string($dateTime), 1, 8)"/>
		    <xsl:variable name="afterDay" select="substring(string($dateTime), 11)"/>
		    <xsl:value-of select="concat($beforeDay, $newDayString, $afterDay)"/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:getYear"
                 as="xs:string">
		    <xsl:param name="dateString" as="xs:string"/>
		    <xsl:value-of select="substring(dtf:removeTimeZone($dateString), 1, 4)"/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:getMonth"
                 as="xs:string">
		    <xsl:param name="dateString" as="xs:string"/>
		    <xsl:value-of select="substring(dtf:removeTimeZone($dateString), 6, 2)"/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:getDay"
                 as="xs:string">
		    <xsl:param name="dateString" as="xs:string"/>
		    <xsl:value-of select="substring(dtf:removeTimeZone($dateString), 9, 2)"/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:getTimeZone"
                 as="xs:string">
		    <xsl:param name="dateString" as="xs:string"/>
		    <xsl:variable name="dateTimeEndingWithTimezone"
                    as="xs:string"
                    select="concat('^.*(',$timeZoneRegEx,')$')"/>
		    <xsl:choose>
			      <xsl:when test="matches($dateString, $dateTimeEndingWithTimezone)">
				        <xsl:value-of select="replace($dateString, $dateTimeEndingWithTimezone, '$1')"/>
			      </xsl:when>
			      <xsl:otherwise>
				        <xsl:value-of select="$defaultTimeZone"/>
			      </xsl:otherwise>
		    </xsl:choose>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:yearPortionHasFourDigits"
                 as="xs:boolean">
		    <xsl:param name="dateString" as="xs:string"/>
		    <xsl:variable name="dateWithOnlyFourDigitYearAndOptionalTimeZoneRegEx"
                    as="xs:string"
                    select="concat('^\d{4}(',$timeZoneRegEx,')?$')"/>
		    <xsl:variable name="dateStartingWithFourDigitYearRegEx"
                    as="xs:string"
                    select="'^\d{4}-.*$'"/>
		    <xsl:value-of select="matches($dateString, $dateWithOnlyFourDigitYearAndOptionalTimeZoneRegEx) or                            matches($dateString, $dateStartingWithFourDigitYearRegEx)"/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:removeTimeZone"
                 as="xs:string">
		    <xsl:param name="dateString" as="xs:string"/>
		    <xsl:value-of select="replace($dateString, $timeZoneRegEx, '')"/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:padDateTimeWithTemplate"
                 as="xs:dateTime">
		    <xsl:param name="dateString" as="xs:string"/>
		    <xsl:param name="dateTemplateString" as="xs:string"/>
		    <xsl:value-of select="concat($dateString, substring($dateTemplateString, string-length(normalize-space($dateString))+1))"/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:isAllowableDateTimeFormat"
                 as="xs:boolean">
		    <xsl:param name="input" as="xs:string"/>
		    <xsl:variable name="trimmedInput" as="xs:string" select="normalize-space($input)"/>

		    
		    <xsl:variable name="YYYY" as="xs:string" select="'^\d{4}(Z|[\+-]\d{2}:\d{2})?$'"/>

		    
		    <xsl:variable name="YYYY-MM"
                    as="xs:string"
                    select="'^\d{4}-\d{2}(Z|[\+-]\d{2}:\d{2})?$'"/>

		    
		    <xsl:variable name="YYYY-MM-DD"
                    as="xs:string"
                    select="'^\d{4}-\d{2}-\d{2}(Z|[\+-]\d{2}:\d{2})?$'"/>

		    
		    <xsl:variable name="YYYY-MM-DDThh-mm"
                    as="xs:string"
                    select="'^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}(Z|[\+-]\d{2}:\d{2})?$'"/>

		    
		    <xsl:variable name="YYYY-MM-DDThh-mm-ss"
                    as="xs:string"
                    select="'^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,})?(Z|[\+-]\d{2}:\d{2})?$'"/>

		    <xsl:value-of select="    matches($trimmedInput, $YYYY) or    matches($trimmedInput, $YYYY-MM) or    matches($trimmedInput, $YYYY-MM-DD) or    matches($trimmedInput, $YYYY-MM-DDThh-mm) or    matches($trimmedInput, $YYYY-MM-DDThh-mm-ss)    "/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:startDate"
                 as="xs:dateTime">
		    <xsl:param name="dateString" as="xs:string"/>
		    <xsl:variable name="timeZonePortion" select="dtf:getTimeZone($dateString)"/>
		    <xsl:variable name="dateTimePortion" select="dtf:removeTimeZone($dateString)"/>
		    <xsl:variable name="outputDate"
                    select="dtf:padDateTimeWithTemplate($dateTimePortion, $startDateTimeTemplate)"/>
		    <xsl:value-of select="concat($outputDate, $timeZonePortion)"/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:endDate"
                 as="xs:dateTime">
		    <xsl:param name="input" as="xs:string"/>
		    <xsl:variable name="timeZonePortion" select="dtf:getTimeZone($input)"/>
		    <xsl:variable name="dateTimePortion" select="dtf:removeTimeZone($input)"/>
		    <xsl:variable name="outputDate"
                    select="dtf:padDateTimeWithTemplate($dateTimePortion, $endDateTimeTemplate)"/>
		    <xsl:variable name="outputWithCorrectedDay"
                    select="dtf:replaceDateTimeDay($outputDate, dtf:getMaxDay($outputDate))"/>
		    <xsl:choose>
			      <xsl:when test="dtf:getDay($input)">
				        <xsl:value-of select="concat($outputDate, $timeZonePortion)"/>
			      </xsl:when>
			      <xsl:otherwise>
				        <xsl:value-of select="concat($outputWithCorrectedDay, $timeZonePortion)"/>
			      </xsl:otherwise>
		    </xsl:choose>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:overlaps"
                 as="xs:boolean">
		    <xsl:param name="primary" as="xs:string"/>
		    <xsl:param name="secondary" as="xs:string"/>
		    <xsl:variable name="primaryStart"
                    as="xs:dateTime"
                    select="dtf:startDate($primary)"/>
		    <xsl:variable name="primaryEnd" as="xs:dateTime" select="dtf:endDate($primary)"/>
		    <xsl:variable name="secondaryStart"
                    as="xs:dateTime"
                    select="dtf:startDate($secondary)"/>
		    <xsl:variable name="secondaryEnd"
                    as="xs:dateTime"
                    select="dtf:endDate($secondary)"/>
		    <xsl:value-of select="$primaryStart &lt;= $secondaryEnd and $secondaryStart &lt;= $primaryEnd"/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:isBefore"
                 as="xs:boolean">
		    <xsl:param name="primary" as="xs:string"/>
		    <xsl:param name="secondary" as="xs:string"/>
		    <xsl:variable name="primaryEnd" as="xs:dateTime" select="dtf:endDate($primary)"/>
		    <xsl:variable name="secondaryStart"
                    as="xs:dateTime"
                    select="dtf:startDate($secondary)"/>
		    <xsl:value-of select="$primaryEnd &lt; $secondaryStart"/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:isAfter"
                 as="xs:boolean">
		    <xsl:param name="primary" as="xs:string"/>
		    <xsl:param name="secondary" as="xs:string"/>
		    <xsl:variable name="primaryStart"
                    as="xs:dateTime"
                    select="dtf:startDate($primary)"/>
		    <xsl:variable name="secondaryEnd"
                    as="xs:dateTime"
                    select="dtf:endDate($secondary)"/>
		    <xsl:value-of select="$secondaryEnd &lt; $primaryStart"/>
	  </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 name="dtf:compareDateTimeRanges"
                 as="xs:boolean">
		    <xsl:param name="primary" as="xs:string"/>
		    <xsl:param name="operator" as="xs:string"/>
		    <xsl:param name="secondary" as="xs:string"/>
		    <xsl:variable name="primaryAndSecondayYearPortionsHaveFourDigits"
                    as="xs:boolean"
                    select="dtf:yearPortionHasFourDigits($primary) and dtf:yearPortionHasFourDigits($secondary)"/>
		    <xsl:choose>
			      <xsl:when test="$primaryAndSecondayYearPortionsHaveFourDigits">
				        <xsl:variable name="primaryStart"
                          as="xs:dateTime"
                          select="dtf:startDate($primary)"/>
				        <xsl:variable name="primaryEnd" as="xs:dateTime" select="dtf:endDate($primary)"/>
				        <xsl:variable name="secondaryStart"
                          as="xs:dateTime"
                          select="dtf:startDate($secondary)"/>
				        <xsl:variable name="secondaryEnd"
                          as="xs:dateTime"
                          select="dtf:endDate($secondary)"/>
				        <xsl:choose>
					
					
					          <xsl:when test="($operator = 'lt' or $operator = '&lt;') and              (($primaryStart = $primaryEnd and $primaryStart = $secondaryStart) or              ($primaryStart = $primaryEnd and $primaryStart = $secondaryEnd) or              ($secondaryStart = $secondaryEnd and $primaryStart = $secondaryStart))">
						            <xsl:value-of select="false()"/>
					          </xsl:when>

					          
					          
					          <xsl:when test="($operator = 'gt' or $operator = '&gt;') and              (($primaryStart = $primaryEnd and $primaryEnd = $secondaryEnd) or              ($primaryStart = $primaryEnd and $primaryEnd = $secondaryStart) or              ($secondaryStart = $secondaryEnd and $primaryEnd = $secondaryEnd))">
						            <xsl:value-of select="false()"/>
					          </xsl:when>

					          
					          <xsl:when test="$operator = 'lt' or $operator = '&lt;' or $operator = '&lt;='">
						            <xsl:value-of select="dtf:isBefore($primary, $secondary) or dtf:overlaps($primary, $secondary)"/>
					          </xsl:when>

					          
					          <xsl:when test="$operator = 'gt' or $operator = '&gt;' or $operator = '&gt;='">
						            <xsl:value-of select="dtf:isAfter($primary, $secondary) or dtf:overlaps($primary, $secondary)"/>
					          </xsl:when>

					          
					          <xsl:otherwise>
						            <xsl:value-of select="false()"/>
					          </xsl:otherwise>
				        </xsl:choose>
			      </xsl:when>
			      <xsl:otherwise>
				        <xsl:value-of select="false()"/>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:function>

   <!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">@<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--This mode can be used to generate prefixed XPath for humans 
	(Top-level element has index)-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <svrl:schematron-output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" title="" schemaVersion="">
         <xsl:comment>
            <xsl:value-of select="$archiveDirParameter"/>   
		 <xsl:value-of select="$archiveNameParameter"/>  
		 <xsl:value-of select="$fileNameParameter"/>  
		 <xsl:value-of select="$fileDirParameter"/>
         </xsl:comment>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:pubs" prefix="pubs"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:icgenc" prefix="genc"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:edh" prefix="edh"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:src" prefix="src"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:cve" prefix="cve"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.w3.org/1999/xlink" prefix="xlink"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:ism" prefix="ism"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:irm" prefix="irm"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:tdf" prefix="tdf"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:mil:ces:metadata:ddms:5" prefix="ddms"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.w3.org/1999/XSL/Transform" prefix="xsl"/>
         <svrl:ns-prefix-in-attribute-values uri="date:time:function" prefix="dtf"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:intdis" prefix="intdis"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:mime" prefix="mime"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:virt" prefix="virt"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M31"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M32"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00001</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00001</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00001][Warning] For every optional element that exists in the 
        document and can have text content, the element should have non-null, 
        non-whitespace value.
    </svrl:text>
            <svrl:text>
        This pattern uses an abstract rule to consolidate logic. The abstract rule
        first concatenates the text values within the given element, separated by a single 
        space. The resultant string is then normalized with leading and trailing 
        whitespace removed, and the length of the string is determined to be greater 
        than zero, which indicates non-whitespace content. The abstract rule is extended 
        once for each optional element in the PUBS schema.  
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M50"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00003</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00003</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00003][Error]
        The following elements, if they exist in an XML instance, must have content: 
        ddms:taskID, DescriptiveMetadata/Title, DescriptiveMetadata/Description,
        ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
        BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry,
        GlossaryDivision/Title, GlossaryTerm, IndexDivision/Title, IndexEntry, ListItem,
        LongDescription/Para, Section/Title, DateString.
        
        Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
        DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
        BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
        IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
    </svrl:text>
            <svrl:text>
        This pattern uses an abstract rule to consolidate logic. The abstract rule
        normalizes the space of the value of the content element and makes sure 
        that the length of the resulting string is greater than zero, which indicates
        non-whitespace content. The abstract rule is extended once for each
        element included in rule PUBS_ID_00003.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M51"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00008</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00008</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00008][Error] The IntelDoc element must have 
        element content in at least one of the descendent elements.
        
        Human Readable: Element IntelDoc must have content in at least one child element.
    </svrl:text>
            <svrl:text>
        This calculates the string value of the pubs:IntelDoc element if the value contains any non white space, then the rule returns true.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M52"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00009</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00009</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00009][Error]
        For element SourceReference, either child element SourceID 
        or child element DocumentID must exist and must have a non-null value.
    </svrl:text>
            <svrl:text>
        If element SourceID is specified and has non-white space content
        or is element DocumentID is specified and has non-whitespace content,
        then the rule returns true.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M53"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00017</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00017</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00017][Error]
        If element CountryName has either attribute countryCode or countryCodeVocabulary 
        is specified, then both must be specified.
        
        Human Readable: Element CountryName must have a value for both the countryCode and countryCodeVocabulary attributes.
    </svrl:text>
            <svrl:text>
        This rule ensures that element CountryName has either both attribute
        countryCode and attribute countryCodeVocabulary specified, or 
        that element CountryName has neither attribute countryCode
        nor attribute countryCodeVocabulary specified.        
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M54"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00027</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00027</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00027][Error]
        For element ImageArea attribute coordinates must be specified and the value 
        must be appropriate to the value of attribute shape as defined by the 
        PUBS.XML Data Element Dictionary.
        
        Human Readable: Element ImageArea attribute coordinates and shape must be specified.  The value for attribute coordinates has to 
        follow the format for the designated shape as defined by the PUBS.XML Data Element Dictionary.
    </svrl:text>
            <svrl:text>
        If attribute coordinates or attribute shape are not specified or are
        specified with an empty value, then return false. 
        
        If the attribute shape is specified, then this rule uses a regular expression
        to make sure that the attribute coordinates is specified with an appropriate
        value from the PUBS.XML Data Element Dictionary, reproduced below for
        convenience:

        The number and order of values depends on the shape being defined. Possible combinations:
        - rect: left-x, top-y, right-x, bottom-y.
        - circle: center-x, center-y, radius. Note: When the radius value is a percentage value, 
        user agents should calculate the final radius value based on the associated object's width and height.
        The radius should be the smaller value of the two.
        - poly: x1, y1, x2, y2, ..., xN, yN. The first x and y coordinate pair and the last should be the 
        same to close the polygon. When these coordinate values are not the same, user agents should infer
        an additional coordinate pair to close the polygon.
        
        Coordinates are relative to the top, left corner of the object. All values are lengths. All values are separated by commas.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M55"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00028</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00028</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00028][Error]
        For elements AnimationExhibit, AudioExhibit, Interactive3DExhibit, OtherExhibit, 
        StillImageExhibit and VideoExhibit attribute xlink:href must be specified.
        
        Human Readable: Attribute xlink:href must be specified for elements AnimationExhibit, AudioExhibit, Interactive3DExhibit, OtherExhibit, 
        StillImageExhibit and VideoExhibit.
    </svrl:text>
            <svrl:text>
        This pattern uses an abstract rule to consolidate logic. It makes sure
        that the attribute xlink:href is specified. The abstract rule is extended
        once for each required element in rule PUBS_ID_00028.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M56"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00029</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00029</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00029][Error]
        For elements Facility and Person, if attribute xlink:href exists, then the attribute must have a non-null value.
        
        Human Readable: If attribute xlink:href exists for elements Facility and Person, it must have a value.
    </svrl:text>
            <svrl:text>
        This pattern uses an abstract rule to consolidate logic. It normalizes the
        space of the value of attribute xlink:href and makes sure the length of the
        resulting string is greater than zero, which indicates non-whitespace content.
        The abstract rule is extended once for each required element in rule PUBS_ID_00029.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M57"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00030</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00030</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00030][Error]
        For element Glossary, if child element GlossaryDivision is used, there 
        must be at least two instances of element GlossaryDivision.
        
        Human Readable: Element Glossary child element GlossaryDivision requires more than one instance.
    </svrl:text>
            <svrl:text>
        This rule ensures that element Glossary does not contain exactly
        one GlossaryDivision child element.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M58"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00031</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00031</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00031][Error]
        For element Bibliography, if child element BibliographyDivision is used, there 
        must be at least two instances of element BibliographyDivision.
        
        Human Readable: Element Bibliography child element BibliographyDivision requires more than one instance.
    </svrl:text>
            <svrl:text>
        This rule ensures that element Bibliography does not contain exactly
        one BibliographyDivision child element.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M59"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00032</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00032</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00032][Error]
        For element Index, if child element IndexDivision is used, there 
        must be at least two instances of element IndexDivision.
        
        Human Readable: Element Index child element IndexDivision requires more than one instance.
    </svrl:text>
            <svrl:text>
        This rule ensures that element Index does not contain exactly
        one IndexDivision child element.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M60"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00033</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00033</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00033][Error] element ImageMap must specify attribute id.
        
        Human Readable: Element ImageMap must have a value for attribute id.
    </svrl:text>
            <svrl:text>
        Ensure the the id attribute is specified with non-whitespace characters
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M61"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00034</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00034</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00034][Error]
        For a given attribute imageMapReference value for element StillImageExhibit, there 
        must be an attribute id for element ImageMap with an identical value within the XML instance.
        
        Human Readable: Element StillImageExhibit attribute imageMapReference value must equal element ImageMap attribute id value.
    </svrl:text>
            <svrl:text>
        If element StillImageExhibit has attribute imageMapReference specified, then
        this rule ensures that there exists in the document at least one ImageMap element 
        with attribute id specified with a value equal to the value of attribute 
        imageMapReference on element StillImageExhibit.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M62"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00035</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00035</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00035][Error]
        All links that have attribute xlink:type specified with a value
        of [simple] must also have attribute xlink:href specified.
        
        Human Readable: If attribute xlink:type value is [simple], then attribute xlink:href has to have a value.
    </svrl:text>
            <svrl:text>
        For all elements that have the attribute xlink:type specified with a value
        of [simple], this rule normalizes the space of the value of the attribute xlink:href
        and makes sure that the length of the resulting string is greater than zero,
        which indicates non-whitespace content.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M63"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00036</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00036</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00036][Error]
        Internal links must be traversable. If the attribute xlink:href value for elements Link and ImageArea 
        is a URL fragment identifier with a [#] prefix, that fragment identifier must match the attribute id 
        value of an element within the XML instance. Note that a fragment identifier is characterized by 
        a [#] prefix. The [#] prefix is not part of the fragment identifier. So when the xlink:href attribute 
        value starts with a [#], the remainder of the value is the fragment identifier. This rule does not apply 
        to attribute values which contain a URL and a fragment identifier separated by [#], in which case it can 
        not be determined with certainty that the target is within the XML instance.
        
        Human Readable: If the elements Link and ImageArea attribute xlink:href value starts with [#], then 
        the fragment identifier portion of the value of attribute xlink:href must match 
        the value of any attribute id specified within the XML instance.
    </svrl:text>
            <svrl:text>
        This pattern uses an abstract rule to consolidate logic.
        If the current element has attribute xlink:href specified with a value starting with [#], then 
        this rule ensures that the fragment identifier portion of the value of attribute xlink:href matches 
        the value of any attribute id specified within the XML instance. If the current element
        has attribute xlink:href specified with a value that does not start with [#], then this
        rule does not apply and this rule returns true.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M64"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00040</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00040</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00040][Error]
        The permissible values for the year range are 1901 through the current year
        for attributes ddns:approvedOn, ddns:posted, and ddms:receivedOn, and temporalCoverage 
        elements with name element DatePublished, DateReviewed, and DateRevised.
        
        Human Readable: Year values for attributes ddns:approvedOn, ddns:posted, and ddms:receivedOn, and temporalCoverage 
        elements with name element DatePublished, DateReviewed, and DateRevised have to fall within the range 1901 through the current year.
    </svrl:text>
            <svrl:text>
        This pattern uses abstract rules to consolidate logic. For elements, 
        this rule ensures that the date contained within $dateValue has a year
        value within the range $minYear and $maxYear, inclusive. For attributes, 
        this rule ensures that each date contained within $dateValues has a year value
        within the range $minYear and $maxYear, inclusive.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M65"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00042</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00042</xsl:attribute>
            <svrl:text>        
        [PUBS-ID-00042][Error]
        The permissible values for the year range are 0001 through 9999 for element
        DateTimeReferenced, and attributes date, dateTime, normalizedDate and normalizedDateTime.
        
        Human Readable: Year values for element DateTimeReferenced, and attributes date, dateTime, 
        normalizedDate and normalizedDateTime have to fall within the range 0001 through 9999.
    </svrl:text>
            <svrl:text>
        This pattern uses abstract rules to consolidate logic. For elements, 
        this rule ensures that the date contained within $dateValue has a year
        value within the range $minYear and $maxYear, inclusive. For attributes, 
        this rule ensures that each date contained within $dateList has a year value
        within the range $minYear and $maxYear, inclusive.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M66"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00044</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00044</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00044][Error]
        For attribute dateTimeRange, for each pair of date/time values, 
        the second value must be later than the first value.
        
        Human Readable: The second value of date/time value pair for attribute dateTimeRange has to be later than the first value.
    </svrl:text>
            <svrl:text> 
        The value of the attribute dateTimeRange is tokenized into a list of dateTimes, 
        called $dateTimeList. If the number of dates in $dateTimeList
        is not even, then each date does not have a corresponding pair so this rule returns
        false. Otherwise, this rule verifies that the second date of each dateTime pair is 
        later than the first date in that pair. To do this, the rule loops over all dates in 
        $dateTimeList and identify dateTime pairs by pairing the date at an even index N with
        the date at index N-1. For each pair, this rule verifies that $dateList[N-1] is less than $dateList[N].
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M67"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00045</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00045</xsl:attribute>
            <svrl:text> [PUBS-ID-00045][Warning] DateApproved must
        be earlier than or equivalent to DatePublished and DatePosted.
        
        Human Readable: DateApproved has to be less than or equal to DatePublished and DatePosted.    
    </svrl:text>
            <svrl:text>
        For each ddms:dates element which specifies attribute ddms:approvedOn, 
        this rule ensures that the date specified in attribute ddms:approvedOn is
        earlier than or equivalent to the date specified in attribute 
        ddms:posted and the date specified in the ddms:temporalCoverage
        element with ddms:name [DatePublished].
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M68"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00046</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00046</xsl:attribute>
            <svrl:text>This abstract pattern compares the date contained within the param
        tdf:*[descendant::tdf:StructuredPayload/pubs:IntelDoc]//tdf:Assertion//ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end to each date contained within the param (ancestor::ddms:resource/ddms:dates/@ddms:approvedOn,          ancestor::tdf:TrustedDataObject//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,                  ancestor::ddms:resource/ddms:dates/@ddms:posted) (using the comparison
        operator contained in param '&lt;=') and makes sure that each comparison returns
        true.</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M69"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00047</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00047</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00047][Warning] DateValidTil must be later than or equivalent
        to DateApproved, DatePublished, DatePosted, and DateInfoCutoff.
        
        Human Readable: DateValidTil has to be greater than or equal to DateApproved, DatePublished, DatePosted, and DateInfoCutoff.
    </svrl:text>
            <svrl:text>
        For each ddms:dates element which specifies attribute ddms:validTil, 
        this rule ensures that the date specified in attribute ddms:validTil is
        later than or equivalent to the date specified in attribute 
        ddms:posted, in attribute ddms:approvedOn, in the ddms:temporalCoverage
        element with ddms:name [DatePublished], and in the ddms:temporalCoverage
        element with ddms:name [infoCutOff].
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M70"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00048</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00048</xsl:attribute>
            <svrl:text>This abstract pattern compares the date contained within the param
        pubs:AdministrativeMetadata/pubs:DateList/pubs:DateRevised to each date contained within the param (ancestor::ddms:resource/ddms:dates/@ddms:approvedOn,                          ancestor::tdf:*//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,                          ancestor::ddms:resource/ddms:dates/@ddms:posted,                         ancestor::ddms:resource/ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end) (using the comparison
        operator contained in param '&gt;=') and makes sure that each comparison returns
        true.</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M71"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00049</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00049</xsl:attribute>
            <svrl:text>This abstract pattern compares the date contained within the param
        pubs:AdministrativeMetadata/pubs:DateList/pubs:DateRevised to each date contained within the param (ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:validTil) (using the comparison
        operator contained in param '&lt;=') and makes sure that each comparison returns
        true.</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M72"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00050</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00050</xsl:attribute>
            <svrl:text>This abstract pattern compares the date contained within the param
        pubs:AdministrativeMetadata/pubs:DateList/pubs:DateReviewed to each date contained within the param (ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:approvedOn,             ancestor::tdf:*/descendant::pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,             ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:posted) (using the comparison
        operator contained in param '&lt;=') and makes sure that each comparison returns
        true.</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M73"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00053</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00053</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00053][Error]
        For any element PostalAddress, at least one of its child elements 
        AddressLine, City, State, Province, PostalCode, or CountryCode must 
        have element content.
        
        Human Readable: Element PostalAddress must have a value for at least one of its child elements.
    </svrl:text>
            <svrl:text>
        For each child element of pubs:PostalAddress listed, this rule normalizes the
        space of its value and make sures that the length of the resulting string 
        is greater than zero, indicating non-whitespace content. 
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M74"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00054</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00054</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00054][Warning]
        For elements ApproximableDateTime, ddms:approximableDate, ApproximableDateTimeStart, 
        ApproximableDateTimeEnd, ddms:start, ddms:end, ddms:approvedOn, ddms:postedOn, 
        DatePublished, ddms:receivedOn, DateTimeReferenced, and DateInformation, 
        if the time designator (T) is specified, it is recommended that time zone be specified.
        
        Human Readable: It is recommended that time zone be specified if time designtot (T) is specified for the following elements:
        ApproximableDateTime, ddms:approximableDate, ApproximableDateTimeStart,  ApproximableDateTimeEnd, ddms:start, ddms:end, 
        ddms:approvedOn, ddms:postedOn, DatePublished, ddms:receivedOn, DateTimeReferenced, and DateInformation.
    </svrl:text>
            <svrl:text>
        This pattern uses an abstract rule to consolidate logic.
        If the value of the context contains the time zone designator (T),
        then it makes sure that the value of the context matches the 
        regular expression for a date with a time zone specified.
        The abstract rule is extended once for each required element
        listed in rule PUBS-ID-00054.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M75"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00055</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00055</xsl:attribute>
            <svrl:text>
      [PUBS-ID-00055][Warning]
      For attributes dateTime, normalizedDateTime, and normalizedTime,
      it is recommended that time zone be specified.
      
      Human Readable: It is recommended that a time zone be specified in the attributes dateTime, normalizedDateTime, and normalizedTime.
  </svrl:text>
            <svrl:text>
  	For attributes dateTime, normalizedDateTime, and normalizedTime,
  	this rule ensures that if the attribute is specified, then it matches
  	the regular expression for a date with a time zone specified.
  </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M76"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00062</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00062</xsl:attribute>
            <svrl:text> This abstract pattern checks to see if an attribute of an element
        exists in a list. pubs:QuantityReference[@unitOfMeasureVocabulary='UNECE20'] := the context in which the searchValue exists. @unitOfMeasure :=
        the value which should be verified is in the list. $unce20UnitsOfMeasureList := the list in which to search for
        the searchValue. '         [PUBS-ID-00062][Error]         If the element QuantityReference has the attribute unitOfMeasureVocabulary          with a value of UNECE20 the value of attribute unitOfMeasure must be          in CVEnumUNCE20UnitsOfMeasure.xml.         ' := the error message text to display when the assertion
        fails.</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M77"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00063</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00063</xsl:attribute>
            <svrl:text> This abstract pattern checks to see if an attribute of an element
        exists in a list. pubs:QuantityReference[@unitOfMeasureVocabulary='ISO4217-3'] := the context in which the searchValue exists. @unitOfMeasure :=
        the value which should be verified is in the list. $iso4217TrigraphList := the list in which to search for
        the searchValue. '         [PUBS-ID-00063][Error]         If the element QuantityReference has the attribute unitOfMeasureVocabulary          with a value of ISO4217-3 the value of attribute unitOfMeasure must be          in CVEnumISO4217Trigraph.xml.         ' := the error message text to display when the assertion
        fails.</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M78"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00064</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00064</xsl:attribute>
            <svrl:text> This abstract pattern checks to see if an attribute of an element
        exists in a list. pubs:QuantityReference[@unitOfMeasureVocabulary='ISO4217-NR'] := the context in which the searchValue exists. @unitOfMeasure :=
        the value which should be verified is in the list. $iso4217NumericList := the list in which to search for
        the searchValue. '         [PUBS-ID-00064][Error]         If the element QuantityReference has the attribute unitOfMeasureVocabulary with a value          of ISO4217-NR the value of attribute unitOfMeasure must be in CVEnumISO4217Numeric.xml.         ' := the error message text to display when the assertion
        fails.</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M79"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00065</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00065</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00065][Error]
        For elements: AuthorInfo, CoauthorInfo, ContributingAuthorInfo, POCinfo 
        at least one of the following child elements must have non-whitespace content: 
        Surname, UserID, JobTitle, Affiliation, OfficeName, PostalAddress, PhoneNumber, FaxNumber, 
        EmailAddress, WebPageAddress, FormattedSignatureBlock.
        
        Human Readable: Elements AuthorInfo, CoauthorInfo, ContributingAuthorInfo, POCinfo must have a value for at least one of the following
        child elements: Surname, UserID, JobTitle, Affiliation, OfficeName, PostalAddress, PhoneNumber, FaxNumber, 
        EmailAddress, WebPageAddress, FormattedSignatureBlock.
    </svrl:text>
            <svrl:text>
        This pattern uses an abstract rule to consolidate logic. It
        normalizes the space of the value of the specified child elements
        and makes sure that the length of the resulting string is 
        greater than zero, which indicates non-whitespace content.
        
        Element PostalAddress cannot contain text content, so the rule counts the 
        number of its child elements that contain non-white space and makes sure
        that the count is great than 0.
        
        The abstract rule is extended once for each required element in 
        rule PUBS_ID_00065.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M80"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00070</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00070</xsl:attribute>
            <svrl:text> [PUBS-ID-00070][Error] Element ddms:type must not have the attribute
        ddms:qualifier with a value of RevisionRecallDesignations. The required practice for
        conveying Revision Recall is to use a RevisionRecall handling assertion introduced in the
        2014 DEC Revision Recall specification.</svrl:text>
            <svrl:text>This rule was originally created for PUBS v10 to prevent the PUBS v9
        practice of using the pubs:OtherProperty element to express RevRecall. PUBS v10 directly
        supported RevRecall, so this practice was prohibited. PUBS 2014-DEC no longer supports
        RevRecall directly; it uses RevRecall handling assertion.</svrl:text>
            <svrl:text> If any element ddms:type has attribute ddms:qualifier specified with a
        value of [RevisionRecallDesignations], then this rule asserts false (generate an error). </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M81"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00072</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00072</xsl:attribute>
            <svrl:text> This abstract pattern checks to see if an attribute of an element
        exists in a list. pubs:CountryName[@countryCodeVocabulary='ISO-3'] := the context in which the searchValue exists. @countryCode :=
        the value which should be verified is in the list. $countryIso3166TrigraphList := the list in which to search for
        the searchValue. '         [PUBS-ID-00072][Error]         If element CountryName has attribute countryCodeVocabulary specified as ISO-3         the attribute countryCode value must be in CVEnumPubsCountryISO3166Trigraph.xml         ' := the error message text to display when the assertion
        fails.</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M82"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00079</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00079</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00079][Error]
        Element DescriptiveMetadata/Title must not start with any of the following strings
        ADMINISTRATIVE RECALL, or ADMINISTRATIVE REVISION, or SUBSTANTIVE RECALL, or SUBSTANTIVE REVISION.
        
        Human Readable: Using text in the Title is incorporated into the schema using RevisionRecall. Element DescriptiveMetadata/Title 
        cannot start with any of the following strings: ADMINISTRATIVE RECALL, or ADMINISTRATIVE REVISION, or SUBSTANTIVE RECALL, or SUBSTANTIVE REVISION.
    </svrl:text>
            <svrl:text>
        If element DescriptiveMetadata/Title is specified with a value that starts with ADMINISTRATIVE RECALL, ADMINISTRATIVE REVISION, 
        SUBSTANTIVE RECALL, or SUBSTANTIVE REVISION, then this rule returns false.  The Revision Recall Best practice method of using text in the Title 
        is now incorporated into the schema using RevisionRecall therefore use in this DES is rescinded.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M83"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00080</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00080</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00080][Error]
        The attribute ism:excludeFromRollup must not be specified for any element in the 
        namespace urn:us:gov:ic:pubs except ReferencedResourceSecurity.
        
        Human Readable: Attribute ism:excluedFromRollup is only permitted with element ReferenceResourceSecurity in the urn:us:gov:ic:pubs
        namespace.
    </svrl:text>
            <svrl:text>
        For all elements in the namespace urn:us:gov:ic:pubs with 
        attribute ism:excludeFromRollup specified, this rule ensures that 
        the name of the element is ReferencedResourceSecurity.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M84"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00081</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00081</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00081][Error]
        If element SourceReference has attribute publisherType with 
        a value of [open-source], then child element SourceType must be specified.
        
        Human Readable: If element SourceReference attribute publisherType has a value of [open-source], then there must be a value for child 
        element SourceType.
    </svrl:text>
            <svrl:text>
        For each element SourceReference with attribute publisherType specified
        with a value of [open-source], this rule normalizes the space of the value of 
        child element SourceType and makes sure that the length of the resulting 
        string is greater than zero, which indicates non-whitespace content.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M85"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00082</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00082</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00082][Error]
        The attribute ism:noticeType must not be specified for any element in 
        the namespace urn:us:gov:ic:pubs except IntelDoc, Note, NoteInline, AuthorInfo, CoauthorInfo, ContributingAuthorInfo, or POCinfo.
        
        Human Readable: Attribute ism:noticeType can only exist in the namespace urn:us:gov:ic:pubs for the following elements: IntelDoc, Note, 
        NoteInline, AuthorInfo, CoauthorInfo, ContributingAuthorInfo, or POCinfo.
    </svrl:text>
            <svrl:text>
        For all elements in the namespace urn:us:gov:ic:pubs with 
        attribute ism:noticeType specified, this rule ensures that the name
        of the element is one of IntelDoc, Note, NoteInline, AuthorInfo, CoauthorInfo, ContributingAuthorInfo, or POCinfo.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M86"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00086</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00086</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00086][Error]
        If PublicationMetadataList contains more than one PublicationMetadata 
        then all the PublicationMetadata elements must have ISM security marks present.
    </svrl:text>
            <svrl:text>
        For each PublicationMetadataList element with more than one
        PublicationMetadata child, we check that the PublicationMetadata 
        child element specifies the attribute ism:classification, which 
        indicates ISM security markings.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M87"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00087</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00087</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00087][Error]
        If the DateInformation element exists, at least one of its child 
        elements DateString, ApproximableDateTime, or SearchableDateTime must be present.
        
        Human Readable: Element DateInformation must have a value for one of its child elements.
    </svrl:text>
            <svrl:text> 
        For element pubs:DateInformation, this rule ensures that one or more of the
        child elements DateString, ApproximableDateTime,
        SearchableDateTime/EarliestStartDate or SearchableDateTime/LatestEndDate
        is specified with a non-white space value.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M88"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00092</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00092</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00092][Error] For element DateInformation, the permissible values 
        for the year range are 0001 through 9999 for elements ApproximableDateTime, 
        SearchableDateTime/EarliestStartDate, and SearchableDateTime/LatestEndDate.
        
        Human Readable: For element DateInformation, year values for elements ApproximableDateTime, SearchableDateTime/EarliestStartDate, 
        and SearchableDateTime/LatestEndDate have to fall within the range 0001 through 9999.
    </svrl:text>
            <svrl:text>
        This pattern uses an abstract rule to consolidate logic. It makes sure that 
        the date contained within $dateValue has a year value within 
        the range $minYear and $maxYear, inclusive. The abstract rule is 
        extended once for each element required in rule PUBS-ID-00092.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M89"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00093</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00093</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00093][Error] Every attribute on a PUBS element in the document must be specified with a non-whitespace value.
    </svrl:text>
            <svrl:text>
        For each PUBS element with at least one attribute specified, this rule ensures that all attributes on 
        that element are specified with a non-whitespace value;
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M90"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00096</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00096</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00096][Error]
        For elements pubs:Facility and pubs:Person, if attribute xlink:type is
        specified then it must have a value of [simple] or [resource].
        
        Human Readable: For elements pubs:Facility and pubs:Person, attribute xlink:type value must be either [simple] or [resource]. 
    </svrl:text>
            <svrl:text>
    	Makes sure that for each element pubs:Facility and pubs:Person,
    	if attribute xlink:type is specified then it has a value of [simple] or [resource].
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M91"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00097</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00097</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00097][Error]
        For element pubs:Link, if attribute xlink:type is defined then it must
        have a value of [simple] or [extended].
        
        Human Readable: For element pubs:Link, attribute xlink:type value must be either [simple] or [extended].
    </svrl:text>
            <svrl:text>
    	Makes sure that for each element pubs:Link, if attribute xlink:type is
    	specified then it has a value of [simple] or [extended].
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M92"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00098</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00098</xsl:attribute>
            <svrl:text>
		[PUBS-ID-00098][Error] For any element, if attribute xlink:type is specified
		with a value of [extended], then that element can only define the following attributes in the
		xlink namespace: xlink:type, xlink:role, and xlink:title.
		
		Human Readable: If any element has attribute xlink:type with a value of [extended], then that element can only have values for the
		following in the xlink namespace: xlink:type, xlink:role, and xlink:title.
	</svrl:text>
            <svrl:text>
		Makes sure that for each element that has attribute xlink:type specified
		with a value of [extended] only defines the following attributes in the xlink namespace:
		xlink:type, xlink:role, and xlink:title.
	</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M93"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00099</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00099</xsl:attribute>
            <svrl:text>
		[PUBS-ID-00099][Error] For any element, if attribute xlink:type is specified
		with a value of [resource], then that element can only define the following
		attributes in the xlink namespace: xlink:type, xlink:role, xlink:title, and xlink:label.
		
		Human Readable: If any element has attribute xlink:type with a value of [resource], then that element can only have values for the
		following in the xlink namespace: xlink:type, xlink:role, xlink:title, and xlink:label.
	</svrl:text>
            <svrl:text>
		Makes sure that for each element that has attribute xlink:type specified
		with a value of [extended] only defines the following attributes in the xlink namespace:
		xlink:type, xlink:role, and xlink:title.
	</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M94"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00100</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00100</xsl:attribute>
            <svrl:text>
		[PUBS-ID-00100][Error] For any element, if attribute xlink:type is specified
		with a value of [simple], then that element can only define the following
		attributes in the xlink namespace: xlink:type, xlink:href, xlink:role, xlink:arcrole,
		xlink:title, xlink:show, and xlink:actuate.
		
		Human Readable: If any element has attribute xlink:type with a value of [simple], then that element can only have values for the
		following in the xlink namespace: xlink:type, xlink:href, xlink:role, xlink:arcrole, xlink:title, xlink:show, and xlink:actuate.
	</svrl:text>
            <svrl:text>
		Makes sure that for each element that has attribute xlink:type specified
		with a value of [extended] only defines the following attributes in the xlink namespace:
		xlink:type, xlink:role, and xlink:title.
	</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M95"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00101</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00101</xsl:attribute>
            <svrl:text>
		[PUBS-ID-00101][Error] For any element, if any attribute is specified with the 
		xlink namespace 'http://www.w3.org/1999/xlink', then attributes xlink:type and/or
		xlink:href must be specified.
		
		Human Readable: If any element has an attribute specified with the xlink namespace 'http://www.w3.org/1999/xlink', 
		then attributes xlink:type and/or xlink:href must be specified.
	</svrl:text>
            <svrl:text>
		Makes sure that for each element that has any attribute in the xlink namespace has
		either xlink:type or xlink:href specified.
	</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M96"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00103</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00103</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00103][Error]
        If an element has @noteType then it cannot have @ism:noticeType or 
        @ism:unregisteredNoticeType.
        
        Human Readable: An element with attribute noteType cannot have the 
        ISM attributes noticeType or unregisteredNoticeType.
    </svrl:text>
            <svrl:text>
        If an element has a noteType attribute, then it may not have
        the ISM attributes noticeType or unregisteredNoticeType.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M97"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00104</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00104</xsl:attribute>
            <svrl:text>[PUBS-ID-00104][Error] When there is a mixture of Foreign Government
        Information (FGI) and US data present on a Para element with ism:ownerProducer containing
        [USA], then there must exist a source citation reference. Human Readable: Element Para with
        ism:ownerProducer containing [USA] and a mix of Foreign Goverment Information (FGI) and US
        data, must have a source citation reference.</svrl:text>
            <svrl:text>Given a pubs:Para element with @ism:ownerProducer containing USA and
        either attribute @ism:FGIsourceOpen or @ism:FGIsourceProtected, there must exist a source
        citation reference (pubs:SourceReferenceCitationRef).</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M98"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00110</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00110</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00110][Error]
        In PUBS, the attribute ddms:compliesWith on element ddms:resource 
        must always have complies with specified with a value of [MIN_DISCOVERABLE].
        
        Human Readable: Element ddms:resource attribute ddms:compliesWith requires a value of MIN_DISCOVERABLE.
    </svrl:text>
            <svrl:text>
        Make sure that ddms:resource has attribute ddms:compliesWith specified
        with a value of MIN_DISCOVERABLE.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M99"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00111</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00111</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00111][Error]
        At least one of either ddms:resource/ddms:dates/@ddms:posted or pubs:DatePublished 
        is required to be specified.      
        
        Human Readable: A PUBS document must have either a date posted or date published 
        specified for itself.
    </svrl:text>
            <svrl:text>
        If a TDO has a PUBS assertion, determined by checking if it has a tdf:StructuredStatement element with
        a child of pubs:IntelDocMetadata, this rule verifies that at least one of 
        tdf:Assertion//ddms:resource/ddms:dates/@ddms:posted or tdf:StructuredPayload//pubs:DatePublished is specified.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M100"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00113</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00113</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00113][Error]
        If a TrustedDataObject element contains an assertion with a PUBS structured statement, 
        it must also contain an assertion with an IRM structured statement. 
        
        Human Readable: If a Trusted Data Object contains a PUBS assertion, it must also contain an IRM assertion.  
    </svrl:text>
            <svrl:text>
        If a TDO has a PUBS assertion, determined by checking if it has a tdf:StructuredStatement element with
        a child of pubs:IntelDocMetadata, verify that it also contains an IRM assertion, verified by checking if
        it has a tdf:StructuredStatement element with a child of irm:ICResourceMetadataPackage.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M101"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00114</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00114</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00114][Error] The @ism:DESVersion is less than the minimum version 
        allowed: 13. 
        
        Human Readable: The ISM version imported by PUBS must be greater than or equal to 13. 
    </svrl:text>
            <svrl:text>
        For all elements that contain @ism:DESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 13.  
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M102"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00115</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00115</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00115][Error] The root node of a PUBS document must be pubs:IntelDoc 
        in a tdf:StructuredPayload element of a TDF instance.
        
        Human Readable: PUBS must be in a TDF and the starting node in the payload 
        must be pubs:IntelDoc.
    </svrl:text>
            <svrl:text>
        Ensure that the root node of the document is in the tdf namespace and that the
        beginning of a structured payload consists for a pubs:IntelDoc element.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M103"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00116</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00116</xsl:attribute>
            <svrl:text>[PUBS-ID-00116][Error] If a tdf:TrustedDataObject has an IntelDoc element, it must contain a
        pubs:IntelDocMetadata assertion.</svrl:text>
            <svrl:text>A PUBS Trusted Data Object IntelDoc must contain a PUBS assertion.</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M104"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00117</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00117</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00117][Error]
        The value of each attribute @src:citationIDRef must be found in the list of attribute @src:citationID values.
    </svrl:text>
            <svrl:text>
        The value of each attribute @src:citationIDRef must be found in the list of attribute @src:citationID values.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M105"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00118</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00118</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00118][Error] The @mime:CESVersion is less than the minimum version allowed: 201609. 
        
        Human Readable: The MIME version imported by PUBS must be greater than or equal to 2016-SEP. 
    </svrl:text>
            <svrl:text>For all elements that contain @mime:CESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 201609. </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M106"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00119</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00119</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00119][Error] If @mime:mimeType exists, then @mime:CESVersion must exist as well.
    </svrl:text>
            <svrl:text>
        Make sure that the MIME CVE version attribute exists if MIME mimeType exists.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M107"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00120</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00120</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00120][Error] The @intdis:CESVersion is less than the minimum version allowed: 201508. 
        
        Human Readable: The INTDIS version imported by PUBS must be greater than or equal to 2015-AUG. 
    </svrl:text>
            <svrl:text>For all elements that contain @intdis:CESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 201508. </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M108"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00121</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00121</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00121][Error] If pubs:IntelDiscipline exists, then @intdis:CESVersion must exist as well.
    </svrl:text>
            <svrl:text>
        Make sure that the INTDIS CVE version attribute exists if PUBS IntelDiscipline exists.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M109"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00122</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00122</xsl:attribute>
            <svrl:text> This abstract pattern checks to see if an attribute of an element
        exists in a list. pubs:OriginalLanguageVersion//ddms:language := the context in which the searchValue exists. @ddms:qualifier :=
        the value which should be verified is in the list. $compoundLanguageQualifierTypeList := the list in which to search for
        the searchValue. '   [PUBS-ID-00122][Error] For element ddms:language, attribute ddms:qualifier must have a    value in CVEnumIRMCompoundLanguageQualifierType.xml.   ' := the error message text to display when the assertion
        fails.</svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M110"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00123</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00123</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00123][Error] The @irm:DESVersion is less than the minimum version 
        allowed: 12. 
        
        Human Readable: The IRM version imported by PUBS must be greater than or equal to 12. 
    </svrl:text>
            <svrl:text>
        For all elements that contain @irm:DESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 12.  
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M111"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00124</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00124</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00124][Error] The @src:DESVersion is less than the minimum version 
        allowed: 201508. 
        
        Human Readable: The SRC version imported by PUBS must be greater than or equal to 2015-AUG. 
    </svrl:text>
            <svrl:text>
        For all elements that contain @src:DESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 201508.  
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M112"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00125</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00125</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00125][Error] The @tdf:version is less than the minimum version 
        allowed: 3. 
        
        Human Readable: The IC-TDF version imported by PUBS must be greater than or equal to 3. 
    </svrl:text>
            <svrl:text>
        For all elements that contain @tdf:version, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 3.  
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M113"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00126</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00126</xsl:attribute>
            <svrl:text>[PUBS-ID-00126][Error] The @ism:ISMCATCESVersion is less than the minimum version allowed:
        201505.
    
        Human Readable: The ISMCAT version imported by PUBS must be greater than or equal to 2015-MAY. 
    </svrl:text>
            <svrl:text>For all elements that contain @ism:ISMCATCESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 201505. </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M114"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00127</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00127</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00127][Error] The @edh:DESVersion is less than the minimum version 
        allowed: 4. 
        
        Human Readable: The IC-EDH version imported by PUBS must be greater than or equal to 4. 
    </svrl:text>
            <svrl:text>
        For all elements that contain @edh:DESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 4.  
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M115"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00128</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00128</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00128][Error] The @virt:DESVersion is less than the minimum version 
        allowed: 1. 
        
        Human Readable: The VIRT version imported by PUBS must be greater than or equal to 1.
    </svrl:text>
            <svrl:text>
        For all descendant elements of pubs:IntelDoc that contain @virt:DESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 1. 
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M116"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">PUBS-ID-00129</xsl:attribute>
            <xsl:attribute name="name">PUBS-ID-00129</xsl:attribute>
            <svrl:text>
        [PUBS-ID-00129][Error] If VIRT elements or attributes are used in PUBS, there must exist 
        a descendant element of pubs:IntelDoc that has @virt:DESVersion. 
        
        Human Readable: If elements or attributes of VIRT are used in PUBS, there must be a descendant 
        element of pubs:IntelDoc that defines the VIRT DESVersion.
    </svrl:text>
            <svrl:text>
        If there exists a descendant element of pubs:IntelDoc that uses a VIRT element or attribute, 
        there must exist a descendant element of pubs:IntelDoc that contains @virt:DESVersion.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M117"/>
      </svrl:schematron-output>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->
<xsl:param name="currentYear" select="year-from-dateTime(current-dateTime())"/>
   <xsl:param name="timeZoneRegEx" select="'Z|[\+-]\d{2}:\d{2}'"/>
   <xsl:param name="endsWithTimeZoneRegEx" select="concat('^.*',$timeZoneRegEx,'$')"/>
   <xsl:param name="startDateTimeTemplate" select="'0001-01-01T00:00:00.000'"/>
   <xsl:param name="endDateTimeTemplate" select="'9999-12-01T23:59:59.999'"/>
   <xsl:param name="defaultTimeZone" select="'Z'"/>
   <xsl:param name="coverageIso3166DigraphList"
              select="document('../../CVE/PUBS/CVEnumPubsCoverageISO3166Digraph.xml')//cve:CVE/cve:Enumeration/cve:Term/cve:Value"/>
   <xsl:param name="countryIso3166TrigraphList"
              select="document('../../CVE/PUBS/CVEnumPubsCountryISO3166Trigraph.xml')//cve:CVE/cve:Enumeration/cve:Term/cve:Value"/>
   <xsl:param name="iso639-2TrigraphList"
              select="document('../../CVE/PUBS/CVEnumISO639-2Trigraph.xml')//cve:CVE/cve:Enumeration/cve:Term/cve:Value"/>
   <xsl:param name="iso639-3TrigraphList"
              select="document('../../CVE/PUBS/CVEnumISO639-3Trigraph.xml')//cve:CVE/cve:Enumeration/cve:Term/cve:Value"/>
   <xsl:param name="iso639DigraphList"
              select="document('../../CVE/PUBS/CVEnumISO639Digraph.xml')//cve:CVE/cve:Enumeration/cve:Term/cve:Value"/>
   <xsl:param name="unce20UnitsOfMeasureList"
              select="document('../../CVE/PUBS/CVEnumUNCE20UnitsOfMeasure.xml')//cve:CVE/cve:Enumeration/cve:Term/cve:Value"/>
   <xsl:param name="iso4217TrigraphList"
              select="document('../../CVE/PUBS/CVEnumISO4217Trigraph.xml')//cve:CVE/cve:Enumeration/cve:Term/cve:Value"/>
   <xsl:param name="iso4217NumericList"
              select="document('../../CVE/PUBS/CVEnumISO4217Numeric.xml')//cve:CVE/cve:Enumeration/cve:Term/cve:Value"/>
   <xsl:param name="compoundLanguageQualifierTypeList"
              select="document('../../CVE/IRM/CVEnumIRMCompoundLanguageQualifierType.xml')//cve:Value"/>

   <!--PATTERN -->
<xsl:template match="text()" priority="-1" mode="M31"/>
   <xsl:template match="@*|node()" priority="-2" mode="M31">
      <xsl:apply-templates select="*" mode="M31"/>
   </xsl:template>

   <!--PATTERN -->
<xsl:template match="text()" priority="-1" mode="M32"/>
   <xsl:template match="@*|node()" priority="-2" mode="M32">
      <xsl:apply-templates select="*" mode="M32"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00001-->


	<!--RULE -->
<xsl:template match="pubs:AbbreviatedTitle" priority="1098" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:AbbreviatedTitle"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:AttributionText" priority="1097" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:AttributionText"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:BiographicalSketch" priority="1096" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:BiographicalSketch"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Caption" priority="1095" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Caption"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:CompilationTitle" priority="1094" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:CompilationTitle"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Description" priority="1093" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Description"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Drug" priority="1092" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Drug"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:EmphasizedText" priority="1091" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:EmphasizedText"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Footnote" priority="1090" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Footnote"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Legend" priority="1089" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Legend"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Link" priority="1088" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Link"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:ListItem" priority="1087" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:ListItem"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Para" priority="1086" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Para"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:PreformattedText" priority="1085" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:PreformattedText"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:SourceDescriptor" priority="1084" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:SourceDescriptor"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:SourcedText" priority="1083" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:SourcedText"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Subtitle" priority="1082" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Subtitle"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:TextBox" priority="1081" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:TextBox"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Title" priority="1080" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Title"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:entry" priority="1079" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:entry"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Account" priority="1078" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Account"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:CommData" priority="1077" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:CommData"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Commodity" priority="1076" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Commodity"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Concept" priority="1075" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Concept"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:CountryName" priority="1074" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:CountryName"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Date" priority="1073" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Date"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:DateTime" priority="1072" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:DateTime"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:EntityUntyped" priority="1071" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:EntityUntyped"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Equipment" priority="1070" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Equipment"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Event" priority="1069" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Event"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Facility" priority="1068" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Facility"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:GeoFeature" priority="1067" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:GeoFeature"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:GeoRef" priority="1066" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:GeoRef"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Identifier" priority="1065" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Identifier"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:InfoBearer" priority="1064" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:InfoBearer"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:LocationOfInterest" priority="1063" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:LocationOfInterest"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:MilitaryUnit" priority="1062" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:MilitaryUnit"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Money" priority="1061" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Money"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Nomenclature" priority="1060" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Nomenclature"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:NoteInline" priority="1059" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:NoteInline"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Organization" priority="1058" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Organization"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Person" priority="1057" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Person"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:QuantityReference" priority="1056" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:QuantityReference"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Quote" priority="1055" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Quote"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:SystemClass" priority="1054" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:SystemClass"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Term" priority="1053" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Term"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Time" priority="1052" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Time"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Vehicle" priority="1051" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Vehicle"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Weapon" priority="1050" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Weapon"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Abbreviation" priority="1049" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Abbreviation"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Acronym" priority="1048" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Acronym"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:AddressLine" priority="1047" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:AddressLine"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:BibliographyEntry" priority="1046" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:BibliographyEntry"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:City" priority="1045" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:City"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:ContactFor" priority="1044" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:ContactFor"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:CopyrightAttribution" priority="1043" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:CopyrightAttribution"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:DocumentID" priority="1042" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:DocumentID"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:EditionNumber" priority="1041" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:EditionNumber"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:GenerationalQualifier" priority="1040" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:GenerationalQualifier"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:GivenName" priority="1039" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:GivenName"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:GlossaryTerm" priority="1038" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:GlossaryTerm"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Honorific" priority="1037" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Honorific"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:IndexEntry" priority="1036" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:IndexEntry"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:IssueNumber" priority="1035" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:IssueNumber"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:JobTitle" priority="1034" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:JobTitle"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:MediaExtent" priority="1033" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:MediaExtent"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:MilitaryRank" priority="1032" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:MilitaryRank"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:OfficeName" priority="1031" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:OfficeName"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:OriginalClassificationMarking"
                 priority="1030"
                 mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:OriginalClassificationMarking"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:PersonalTitle" priority="1029" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:PersonalTitle"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:PostalCode" priority="1028" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:PostalCode"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Province" priority="1027" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Province"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:SegmentLabel" priority="1026" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:SegmentLabel"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:SourceID" priority="1025" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:SourceID"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:State" priority="1024" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:State"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Subscript" priority="1023" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Subscript"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Superscript" priority="1022" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Superscript"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Surname" priority="1021" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Surname"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:UUID" priority="1020" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:UUID"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:VolumeNumber" priority="1019" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:VolumeNumber"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:locatorLink" priority="1018" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:locatorLink"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Affiliation" priority="1017" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Affiliation"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:AlternateFormat" priority="1016" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:AlternateFormat"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:CountryCode" priority="1015" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:CountryCode"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:EmailAddress" priority="1014" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:EmailAddress"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:FaxNumber" priority="1013" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:FaxNumber"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:FormattedSignatureBlock" priority="1012" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:FormattedSignatureBlock"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:InternalID" priority="1011" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:InternalID"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:NetworkAddress" priority="1010" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:NetworkAddress"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:OtherProperty" priority="1009" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:OtherProperty"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:PhoneNumber" priority="1008" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:PhoneNumber"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:PlaceName" priority="1007" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:PlaceName"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:ProductLine" priority="1006" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:ProductLine"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Region" priority="1005" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Region"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:SubjectCategory" priority="1004" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:SubjectCategory"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:SubjectCode" priority="1003" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:SubjectCode"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:UserID" priority="1002" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:UserID"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:WebPageAddress" priority="1001" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:WebPageAddress"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="ddms:NonStateActor" priority="1000" mode="M50">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="ddms:NonStateActor"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string())"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00001][Warning] For every optional element that exists in the 
            document and can have text content, the element should have non-null, 
            non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M50"/>
   <xsl:template match="@*|node()" priority="-2" mode="M50">
      <xsl:apply-templates select="*" mode="M50"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00003-->


	<!--RULE -->
<xsl:template match="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:taskID"
                 priority="1017"
                 mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:taskID"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:DescriptiveMetadata/pubs:Title"
                 priority="1016"
                 mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:DescriptiveMetadata/pubs:Title"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:DescriptiveMetadata/pubs:Description"
                 priority="1015"
                 mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:DescriptiveMetadata/pubs:Description"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:mimeType"
                 priority="1014"
                 mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:mimeType"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:applicationSoftware"
                 priority="1013"
                 mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:applicationSoftware"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:NetworkAddress" priority="1012" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:NetworkAddress"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Appendix/pubs:Title" priority="1011" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:Appendix/pubs:Title"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:BibliographyDivision/pubs:Title"
                 priority="1010"
                 mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:BibliographyDivision/pubs:Title"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:BibliographyEntry" priority="1009" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:BibliographyEntry"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Definition/pubs:Para" priority="1008" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:Definition/pubs:Para"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:DistributionEntry" priority="1007" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:DistributionEntry"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:GlossaryDivision/pubs:Title" priority="1006" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:GlossaryDivision/pubs:Title"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:GlossaryTerm" priority="1005" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:GlossaryTerm"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:IndexDivision/pubs:Title" priority="1004" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:IndexDivision/pubs:Title"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:IndexEntry" priority="1003" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:IndexEntry"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:ListItem" priority="1002" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:ListItem"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:LongDescription/pubs:Para" priority="1001" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:LongDescription/pubs:Para"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Section/pubs:Title" priority="1000" mode="M51">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:Section/pubs:Title"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(.))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(.))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00003][Error]
            The element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> must have content.
            
            Human Readable: All of the following elements must have a value if they exist in an XML instance: ddms:taskID, DescriptiveMetadata/Title, 
            DescriptiveMetadata/Description, ddms:mimeType, ddms:applicationSoftware, NetworkAddress, Appendix/Title, 
            BibliographyDivision/Title, BibliographyEntry, Definition/Para, DistributionEntry, GlossaryDivision/Title, GlossaryTerm, 
            IndexDivision/Title, IndexEntry, ListItem, LongDescription/Para, Section/Title, DateString.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M51"/>
   <xsl:template match="@*|node()" priority="-2" mode="M51">
      <xsl:apply-templates select="*" mode="M51"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00008-->


	<!--RULE -->
<xsl:template match="pubs:DocumentBody" priority="1000" mode="M52">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:DocumentBody"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="string-length(normalize-space(string-join(descendant-or-self::text(),'')))&gt;0"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="string-length(normalize-space(string-join(descendant-or-self::text(),'')))&gt;0">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00008][Error] The IntelDoc element must have 
            element content in at least one of the descendent elements.
            
            Human Readable: Element IntelDoc must have content in at least one child element.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M52"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M52"/>
   <xsl:template match="@*|node()" priority="-2" mode="M52">
      <xsl:apply-templates select="*" mode="M52"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00009-->


	<!--RULE -->
<xsl:template match="pubs:SourceReference" priority="1000" mode="M53">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:SourceReference"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(pubs:SourceID)) or normalize-space(string(pubs:DocumentID))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(pubs:SourceID)) or normalize-space(string(pubs:DocumentID))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00009][Error]
            For element SourceReference, either child element SourceID 
            or child element DocumentID must exist and must have a non-null value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M53"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M53"/>
   <xsl:template match="@*|node()" priority="-2" mode="M53">
      <xsl:apply-templates select="*" mode="M53"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00017-->


	<!--RULE -->
<xsl:template match="pubs:CountryName" priority="1000" mode="M54">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:CountryName"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="(@countryCode and @countryCodeVocabulary)             or not(@countryCode or @countryCodeVocabulary)             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="(@countryCode and @countryCodeVocabulary) or not(@countryCode or @countryCodeVocabulary)">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00017][Error]
            If element CountryName has either attribute countryCode or countryCodeVocabulary 
            is specified, then both must be specified.
            
            Human Readable: Element CountryName must have a value for both the countryCode and countryCodeVocabulary attributes.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M54"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M54"/>
   <xsl:template match="@*|node()" priority="-2" mode="M54">
      <xsl:apply-templates select="*" mode="M54"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00027-->


	<!--RULE -->
<xsl:template match="pubs:ImageArea" priority="1000" mode="M55">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:ImageArea"/>
      <xsl:variable name="coordinatesAttr" select="normalize-space(string(@coordinates))"/>
      <xsl:variable name="shapeAttr" select="normalize-space(string(@shape))"/>
      <xsl:variable name="rectRegEx" select="'(-?[0-9]+,){3}-?[0-9]+$'"/>
      <xsl:variable name="circCoordinatesRegEx" select="'^(-?[0-9]+,){2}-?[0-9]+$'"/>
      <xsl:variable name="circPercentageRegEx"
                    select="'^(-?[0-9]+,){2}(0|[1-9][1-9]?|100)%$'"/>
      <xsl:variable name="polyRegEx" select="'^((-?[0-9]+,){2})*-?[0-9]+,-?[0-9]+$'"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             if(string-length($coordinatesAttr) = 0 or string-length($shapeAttr) = 0)             then false()             else                 if($shapeAttr='rect')                 then matches(string($coordinatesAttr),$rectRegEx)                 else                     if($shapeAttr='circ')                     then matches(string($coordinatesAttr),$circCoordinatesRegEx) or matches($coordinatesAttr,$circPercentageRegEx)                     else                         if($shapeAttr='poly')                         then matches(string($coordinatesAttr),$polyRegEx)                         else                             false()             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if(string-length($coordinatesAttr) = 0 or string-length($shapeAttr) = 0) then false() else if($shapeAttr='rect') then matches(string($coordinatesAttr),$rectRegEx) else if($shapeAttr='circ') then matches(string($coordinatesAttr),$circCoordinatesRegEx) or matches($coordinatesAttr,$circPercentageRegEx) else if($shapeAttr='poly') then matches(string($coordinatesAttr),$polyRegEx) else false()">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00027][Error]
            For element ImageArea attribute coordinates must be specified and the value 
            must be appropriate to the value of attribute shape as defined by the 
            PUBS.XML Data Element Dictionary.
            
            Human Readable: Element ImageArea attribute coordinates and shape must be specified.  The value for attribute coordinates has to 
            follow the format for the designated shape as defined by the PUBS.XML Data Element Dictionary.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M55"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M55"/>
   <xsl:template match="@*|node()" priority="-2" mode="M55">
      <xsl:apply-templates select="*" mode="M55"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00028-->


	<!--RULE -->
<xsl:template match="pubs:AnimationExhibit" priority="1005" mode="M56">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:AnimationExhibit"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="@xlink:href"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xlink:href">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00028][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> attribute xlink:href must be specified.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M56"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:AudioExhibit" priority="1004" mode="M56">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:AudioExhibit"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="@xlink:href"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xlink:href">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00028][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> attribute xlink:href must be specified.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M56"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Interactive3DExhibit" priority="1003" mode="M56">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:Interactive3DExhibit"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="@xlink:href"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xlink:href">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00028][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> attribute xlink:href must be specified.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M56"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:OtherExhibit" priority="1002" mode="M56">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:OtherExhibit"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="@xlink:href"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xlink:href">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00028][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> attribute xlink:href must be specified.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M56"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:StillImageExhibit" priority="1001" mode="M56">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:StillImageExhibit"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="@xlink:href"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xlink:href">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00028][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> attribute xlink:href must be specified.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M56"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:VideoExhibit" priority="1000" mode="M56">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:VideoExhibit"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="@xlink:href"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xlink:href">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00028][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> attribute xlink:href must be specified.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M56"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M56"/>
   <xsl:template match="@*|node()" priority="-2" mode="M56">
      <xsl:apply-templates select="*" mode="M56"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00029-->


	<!--RULE -->
<xsl:template match="pubs:Facility[@xlink:href]" priority="1001" mode="M57">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:Facility[@xlink:href]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(@xlink:href))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(@xlink:href))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00029][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> if attribute xlink:href exists, then the attribute must have a non-null value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M57"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:Person[@xlink:href]" priority="1000" mode="M57">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:Person[@xlink:href]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(@xlink:href))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(@xlink:href))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00029][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> if attribute xlink:href exists, then the attribute must have a non-null value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M57"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M57"/>
   <xsl:template match="@*|node()" priority="-2" mode="M57">
      <xsl:apply-templates select="*" mode="M57"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00030-->


	<!--RULE -->
<xsl:template match="pubs:Glossary" priority="1000" mode="M58">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Glossary"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="count(pubs:GlossaryDivision) != 1"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="count(pubs:GlossaryDivision) != 1">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00030][Error]
            For element Glossary, if child element GlossaryDivision is used, there 
            must be at least two instances of element GlossaryDivision.
            
            Human Readable: Element Glossary child element GlossaryDivision requires more than one instance.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M58"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M58"/>
   <xsl:template match="@*|node()" priority="-2" mode="M58">
      <xsl:apply-templates select="*" mode="M58"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00031-->


	<!--RULE -->
<xsl:template match="pubs:Bibliography" priority="1000" mode="M59">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Bibliography"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="count(pubs:BibliographyDivision) != 1"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="count(pubs:BibliographyDivision) != 1">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00031][Error]
            For element Bibliography, if child element BibliographyDivision is used, there 
            must be at least two instances of element BibliographyDivision.
            
            Human Readable: Element Bibliography child element BibliographyDivision requires more than one instance.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M59"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M59"/>
   <xsl:template match="@*|node()" priority="-2" mode="M59">
      <xsl:apply-templates select="*" mode="M59"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00032-->


	<!--RULE -->
<xsl:template match="pubs:Index" priority="1000" mode="M60">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Index"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="count(pubs:IndexDivision) != 1"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="count(pubs:IndexDivision) != 1">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00032][Error]
            For element Index, if child element IndexDivision is used, there 
            must be at least two instances of element IndexDivision.
            
            Human Readable: Element Index child element IndexDivision requires more than one instance.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M60"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M60"/>
   <xsl:template match="@*|node()" priority="-2" mode="M60">
      <xsl:apply-templates select="*" mode="M60"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00033-->


	<!--RULE -->
<xsl:template match="pubs:ImageMap" priority="1000" mode="M61">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:ImageMap"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(@id))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(@id))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00033][Error] Element ImageMap must specify attribute id.
            
            Human Readable: Element ImageMap must have a value for attribute id.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M61"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M61"/>
   <xsl:template match="@*|node()" priority="-2" mode="M61">
      <xsl:apply-templates select="*" mode="M61"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00034-->


	<!--RULE -->
<xsl:template match="pubs:StillImageExhibit[@imageMapReference]"
                 priority="1000"
                 mode="M62">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:StillImageExhibit[@imageMapReference]"/>
      <xsl:variable name="imageMapReference" select="@imageMapReference"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="ancestor::tdf:TrustedDataObject//pubs:ImageMap[@id=$imageMapReference]"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="ancestor::tdf:TrustedDataObject//pubs:ImageMap[@id=$imageMapReference]">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00034][Error]
            For a given attribute imageMapReference value for element StillImageExhibit, there 
            must be an attribute id for element ImageMap with an identical value within the XML instance.
            
            Human Readable: Element StillImageExhibit attribute imageMapReference value must equal element ImageMap attribute id value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M62"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M62"/>
   <xsl:template match="@*|node()" priority="-2" mode="M62">
      <xsl:apply-templates select="*" mode="M62"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00035-->


	<!--RULE -->
<xsl:template match="pubs:*[@xlink:type='simple']" priority="1000" mode="M63">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:*[@xlink:type='simple']"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(@xlink:href))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(@xlink:href))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00035][Error]
            All links that have attribute xlink:type specified with a value
            of [simple] must also have attribute xlink:href specified.
            
            Human Readable: If attribute xlink:type value is [simple], then attribute xlink:href has to have a value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M63"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M63"/>
   <xsl:template match="@*|node()" priority="-2" mode="M63">
      <xsl:apply-templates select="*" mode="M63"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00036-->


	<!--RULE -->
<xsl:template match="pubs:Link" priority="1001" mode="M64">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:Link"/>
      <xsl:variable name="fragementIdentifier" select="substring(@xlink:href,2)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if(starts-with(@xlink:href,'#'))                then ancestor::tdf:TrustedDataObject//*[@id=$fragementIdentifier]                   else true()             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if(starts-with(@xlink:href,'#')) then ancestor::tdf:TrustedDataObject//*[@id=$fragementIdentifier] else true()">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00036][Error]
            Internal links must be traversable. If the attribute xlink:href value for elements Link and ImageArea 
            is a URL fragment identifier with a [#] prefix, that fragment identifier must match the attribute id 
            value of an element within the XML instance. Note that a fragment identifier is characterized by 
            a [#] prefix. The [#] prefix is not part of the fragment identifier. So when the xlink:href attribute 
            value starts with a [#], the remainder of the value is the fragment identifier. This rule does not apply 
            to attribute values which contain a URL and a fragment identifier separated by [#], in which case it can 
            not be determined with certainty that the target is within the XML instance.
            
            Human Readable: If the elements Link and ImageArea attribute xlink:href value starts with [#], then 
            the fragment identifier portion of the value of attribute xlink:href must match 
            the value of any attribute id specified within the XML instance.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M64"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:ImageArea" priority="1000" mode="M64">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:ImageArea"/>
      <xsl:variable name="fragementIdentifier" select="substring(@xlink:href,2)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if(starts-with(@xlink:href,'#'))                then ancestor::tdf:TrustedDataObject//*[@id=$fragementIdentifier]                   else true()             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if(starts-with(@xlink:href,'#')) then ancestor::tdf:TrustedDataObject//*[@id=$fragementIdentifier] else true()">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00036][Error]
            Internal links must be traversable. If the attribute xlink:href value for elements Link and ImageArea 
            is a URL fragment identifier with a [#] prefix, that fragment identifier must match the attribute id 
            value of an element within the XML instance. Note that a fragment identifier is characterized by 
            a [#] prefix. The [#] prefix is not part of the fragment identifier. So when the xlink:href attribute 
            value starts with a [#], the remainder of the value is the fragment identifier. This rule does not apply 
            to attribute values which contain a URL and a fragment identifier separated by [#], in which case it can 
            not be determined with certainty that the target is within the XML instance.
            
            Human Readable: If the elements Link and ImageArea attribute xlink:href value starts with [#], then 
            the fragment identifier portion of the value of attribute xlink:href must match 
            the value of any attribute id specified within the XML instance.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M64"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M64"/>
   <xsl:template match="@*|node()" priority="-2" mode="M64">
      <xsl:apply-templates select="*" mode="M64"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00040-->
<xsl:variable name="minYear" select="1901"/>
   <xsl:variable name="maxYear" select="$currentYear"/>

	  <!--RULE -->
<xsl:template match="pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished"
                 priority="1002"
                 mode="M65">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished"/>
      <xsl:variable name="dateValue" select="."/>
      <xsl:variable name="errMsg"
                    select="    concat('[PUBS-ID-00040][Error]    The permissible values for the year range are 1901 through the current year     for element ', name())"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if(not(dtf:yearPortionHasFourDigits(string($dateValue))))                   then false()                   else                        xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and                        xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if(not(dtf:yearPortionHasFourDigits(string($dateValue)))) then false() else xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="$errMsg"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M65"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateReviewed"
                 priority="1001"
                 mode="M65">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateReviewed"/>
      <xsl:variable name="dateValue" select="."/>
      <xsl:variable name="errMsg"
                    select="    concat('[PUBS-ID-00040][Error]    The permissible values for the year range are 1901 through the current year     for element ', name())"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if(not(dtf:yearPortionHasFourDigits(string($dateValue))))                   then false()                   else                        xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and                        xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if(not(dtf:yearPortionHasFourDigits(string($dateValue)))) then false() else xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="$errMsg"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M65"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateRevised"
                 priority="1000"
                 mode="M65">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateRevised"/>
      <xsl:variable name="dateValue" select="."/>
      <xsl:variable name="errMsg"
                    select="    concat('[PUBS-ID-00040][Error]    The permissible values for the year range are 1901 through the current year     for element ', name())"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if(not(dtf:yearPortionHasFourDigits(string($dateValue))))                   then false()                   else                        xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and                        xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if(not(dtf:yearPortionHasFourDigits(string($dateValue)))) then false() else xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="$errMsg"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M65"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M65"/>
   <xsl:template match="@*|node()" priority="-2" mode="M65">
      <xsl:apply-templates select="*" mode="M65"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00042-->


	<!--RULE -->
<xsl:template match="pubs:DateTimeReferenced" priority="1001" mode="M66">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:DateTimeReferenced"/>
      <xsl:variable name="minYear" select="0001"/>
      <xsl:variable name="maxYear" select="9999"/>
      <xsl:variable name="dateValue" select="."/>
      <xsl:variable name="errMsg"
                    select="'             [PUBS-ID-00042][Error] The permissible values for the year range are 0001 through 9999 for element DateTimeReferenced.             '"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if(not(dtf:yearPortionHasFourDigits(string($dateValue))))                   then false()                   else                        xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and                        xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if(not(dtf:yearPortionHasFourDigits(string($dateValue)))) then false() else xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="$errMsg"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M66"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:*[@date] | pubs:*[@dateTime] | pubs:*[@normalizedDate] | pubs:*[@normalizedDateTime]"
                 priority="1000"
                 mode="M66">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:*[@date] | pubs:*[@dateTime] | pubs:*[@normalizedDate] | pubs:*[@normalizedDateTime]"/>
      <xsl:variable name="minYear" select="0001"/>
      <xsl:variable name="maxYear" select="9999"/>
      <xsl:variable name="dateList"
                    select="    string-join((string(@date),        string(@dateTime),        string(@normalizeDate),        string(@normalizedDateTime)), ' ')"/>
      <xsl:variable name="errMsg"
                    select="'    [PUBS-ID-00042][Error] The permissible values for the year range are 0001 through 9999    for attributes date, dateTime, normalizedDate, and normalizedDateTime.    '"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="        every $date in tokenize(normalize-space(string($dateList)),' ') satisfies         if(not(dtf:yearPortionHasFourDigits(string($date))))         then false()         else          xs:integer(substring(string($date), 1, 4)) &lt;= $maxYear          and xs:integer(substring(string($date), 1, 4)) &gt;= $minYear"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="every $date in tokenize(normalize-space(string($dateList)),' ') satisfies if(not(dtf:yearPortionHasFourDigits(string($date)))) then false() else xs:integer(substring(string($date), 1, 4)) &lt;= $maxYear and xs:integer(substring(string($date), 1, 4)) &gt;= $minYear">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="$errMsg"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M66"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M66"/>
   <xsl:template match="@*|node()" priority="-2" mode="M66">
      <xsl:apply-templates select="*" mode="M66"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00044-->


	<!--RULE -->
<xsl:template match="pubs:*[@dateTimeRange]" priority="1000" mode="M67">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:*[@dateTimeRange]"/>
      <xsl:variable name="dateTimeList" select="tokenize(string(@dateTimeRange), ' ')"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             if ((count($dateTimeList) mod 2) != 0)             then false()             else                 count(                     for $index in 1 to count($dateTimeList) return                         if($index mod 2 = 0) then                             if(dtf:compareDateTimeRanges($dateTimeList[$index - 1], '&lt;', $dateTimeList[$index]))                             then 1                             else null                         else null                 ) = count($dateTimeList) * .5             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if ((count($dateTimeList) mod 2) != 0) then false() else count( for $index in 1 to count($dateTimeList) return if($index mod 2 = 0) then if(dtf:compareDateTimeRanges($dateTimeList[$index - 1], '&lt;', $dateTimeList[$index])) then 1 else null else null ) = count($dateTimeList) * .5">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00044][Error]
            For attribute dateTimeRange, for each pair of date/time values, 
            the second value must be later than the first value.
            
            Human Readable: The second value of date/time value pair for attribute dateTimeRange has to be later than the first value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M67"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M67"/>
   <xsl:template match="@*|node()" priority="-2" mode="M67">
      <xsl:apply-templates select="*" mode="M67"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00045-->


	<!--RULE -->
<xsl:template match="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:dates[@ddms:approvedOn]"
                 priority="1000"
                 mode="M68">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:dates[@ddms:approvedOn]"/>
      <xsl:variable name="secondaryDateList"
                    select="(ancestor::tdf:TrustedDataObject//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished, @ddms:datePosted)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             every $secondaryDate in $secondaryDateList satisfies                 dtf:compareDateTimeRanges(string(@ddms:approvedOn), '&lt;=', string($secondaryDate))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="every $secondaryDate in $secondaryDateList satisfies dtf:compareDateTimeRanges(string(@ddms:approvedOn), '&lt;=', string($secondaryDate))">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00045][Warning][PUBS-ID-00045][Warning] DateApproved must
        	be earlier than or equivalent to DatePublished and DatePosted.
        	
        	Human Readable: DateApproved has to be less than or equal to DatePublished and DatePosted.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M68"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M68"/>
   <xsl:template match="@*|node()" priority="-2" mode="M68">
      <xsl:apply-templates select="*" mode="M68"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00046-->


	<!--RULE -->
<xsl:template match="tdf:*[descendant::tdf:StructuredPayload/pubs:IntelDoc]//tdf:Assertion//ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end"
                 priority="1000"
                 mode="M69">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:*[descendant::tdf:StructuredPayload/pubs:IntelDoc]//tdf:Assertion//ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             if ('error' = 'warning')             then every $secondaryDate in (ancestor::ddms:resource/ddms:dates/@ddms:approvedOn,          ancestor::tdf:TrustedDataObject//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,                  ancestor::ddms:resource/ddms:dates/@ddms:posted) satisfies                     dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate))             else true()             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if ('error' = 'warning') then every $secondaryDate in (ancestor::ddms:resource/ddms:dates/@ddms:approvedOn, ancestor::tdf:TrustedDataObject//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished, ancestor::ddms:resource/ddms:dates/@ddms:posted) satisfies dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate)) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00046][Error] DateInfoCutoff must          be earlier than or equivalent to DateApproved, DatePublished          and DatePosted.                 '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             if ('error' = 'error')             then every $secondaryDate in (ancestor::ddms:resource/ddms:dates/@ddms:approvedOn,          ancestor::tdf:TrustedDataObject//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,                  ancestor::ddms:resource/ddms:dates/@ddms:posted) satisfies                     dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate))                 else true()                 "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if ('error' = 'error') then every $secondaryDate in (ancestor::ddms:resource/ddms:dates/@ddms:approvedOn, ancestor::tdf:TrustedDataObject//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished, ancestor::ddms:resource/ddms:dates/@ddms:posted) satisfies dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate)) else true()">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00046][Error] DateInfoCutoff must          be earlier than or equivalent to DateApproved, DatePublished          and DatePosted.                 '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M69"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M69"/>
   <xsl:template match="@*|node()" priority="-2" mode="M69">
      <xsl:apply-templates select="*" mode="M69"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00047-->


	<!--RULE -->
<xsl:template match="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:dates[@ddms:validTil]"
                 priority="1000"
                 mode="M70">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:dates[@ddms:validTil]"/>
      <xsl:variable name="secondaryDateList"
                    select="(                 @approvedOn,                 ancestor::tdf:*/descendant::pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,                 @ddms:posted,                 ancestor::ddms:resource/ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end )"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             every $secondaryDate in $secondaryDateList satisfies                 dtf:compareDateTimeRanges(string(@ddms:validTil), '&gt;=', string($secondaryDate))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="every $secondaryDate in $secondaryDateList satisfies dtf:compareDateTimeRanges(string(@ddms:validTil), '&gt;=', string($secondaryDate))">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00047][Warning] DateValidTil must be later than or equivalent
            to DateApproved, DatePublished, DatePosted, and DateInfoCutoff.
            
            Human Readable: DateValidTil has to be greater than or equal to DateApproved, DatePublished, DatePosted, and DateInfoCutoff.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M70"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M70"/>
   <xsl:template match="@*|node()" priority="-2" mode="M70">
      <xsl:apply-templates select="*" mode="M70"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00048-->


	<!--RULE -->
<xsl:template match="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateRevised"
                 priority="1000"
                 mode="M71">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateRevised"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             if ('warning' = 'warning')             then every $secondaryDate in (ancestor::ddms:resource/ddms:dates/@ddms:approvedOn,                          ancestor::tdf:*//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,                          ancestor::ddms:resource/ddms:dates/@ddms:posted,                         ancestor::ddms:resource/ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end) satisfies                     dtf:compareDateTimeRanges(string(.), '&gt;=', string($secondaryDate))             else true()             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if ('warning' = 'warning') then every $secondaryDate in (ancestor::ddms:resource/ddms:dates/@ddms:approvedOn, ancestor::tdf:*//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished, ancestor::ddms:resource/ddms:dates/@ddms:posted, ancestor::ddms:resource/ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end) satisfies dtf:compareDateTimeRanges(string(.), '&gt;=', string($secondaryDate)) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00048][Warning] DateRevised must be later than or equivalent to         DateApproved, DatePublished, DatePosted, and DateInfoCutoff.     '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             if ('warning' = 'error')             then every $secondaryDate in (ancestor::ddms:resource/ddms:dates/@ddms:approvedOn,                          ancestor::tdf:*//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,                          ancestor::ddms:resource/ddms:dates/@ddms:posted,                         ancestor::ddms:resource/ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end) satisfies                     dtf:compareDateTimeRanges(string(.), '&gt;=', string($secondaryDate))                 else true()                 "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if ('warning' = 'error') then every $secondaryDate in (ancestor::ddms:resource/ddms:dates/@ddms:approvedOn, ancestor::tdf:*//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished, ancestor::ddms:resource/ddms:dates/@ddms:posted, ancestor::ddms:resource/ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end) satisfies dtf:compareDateTimeRanges(string(.), '&gt;=', string($secondaryDate)) else true()">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00048][Warning] DateRevised must be later than or equivalent to         DateApproved, DatePublished, DatePosted, and DateInfoCutoff.     '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M71"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M71"/>
   <xsl:template match="@*|node()" priority="-2" mode="M71">
      <xsl:apply-templates select="*" mode="M71"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00049-->


	<!--RULE -->
<xsl:template match="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateRevised"
                 priority="1000"
                 mode="M72">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateRevised"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             if ('error' = 'warning')             then every $secondaryDate in (ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:validTil) satisfies                     dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate))             else true()             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if ('error' = 'warning') then every $secondaryDate in (ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:validTil) satisfies dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate)) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00049][Error] DateRevised must be earlier than or equivalent          to DateValidTil.         '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             if ('error' = 'error')             then every $secondaryDate in (ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:validTil) satisfies                     dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate))                 else true()                 "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if ('error' = 'error') then every $secondaryDate in (ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:validTil) satisfies dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate)) else true()">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00049][Error] DateRevised must be earlier than or equivalent          to DateValidTil.         '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M72"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M72"/>
   <xsl:template match="@*|node()" priority="-2" mode="M72">
      <xsl:apply-templates select="*" mode="M72"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00050-->


	<!--RULE -->
<xsl:template match="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateReviewed"
                 priority="1000"
                 mode="M73">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateReviewed"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             if ('warning' = 'warning')             then every $secondaryDate in (ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:approvedOn,             ancestor::tdf:*/descendant::pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,             ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:posted) satisfies                     dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate))             else true()             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if ('warning' = 'warning') then every $secondaryDate in (ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:approvedOn, ancestor::tdf:*/descendant::pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished, ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:posted) satisfies dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate)) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00050][Warning] DateReviewed must be earlier than or equivalent         to DateApproved, DatePublished, and DatePosted.         '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             if ('warning' = 'error')             then every $secondaryDate in (ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:approvedOn,             ancestor::tdf:*/descendant::pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,             ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:posted) satisfies                     dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate))                 else true()                 "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if ('warning' = 'error') then every $secondaryDate in (ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:approvedOn, ancestor::tdf:*/descendant::pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished, ancestor::tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates/@ddms:posted) satisfies dtf:compareDateTimeRanges(string(.), '&lt;=', string($secondaryDate)) else true()">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00050][Warning] DateReviewed must be earlier than or equivalent         to DateApproved, DatePublished, and DatePosted.         '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M73"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M73"/>
   <xsl:template match="@*|node()" priority="-2" mode="M73">
      <xsl:apply-templates select="*" mode="M73"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00053-->


	<!--RULE -->
<xsl:template match="pubs:PostalAddress" priority="1000" mode="M74">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:PostalAddress"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="some $child in (pubs:AddressLine | pubs:City | pubs:State | pubs:Province | pubs:PostalCode | pubs:CountryCode) satisfies                     normalize-space(string($child))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="some $child in (pubs:AddressLine | pubs:City | pubs:State | pubs:Province | pubs:PostalCode | pubs:CountryCode) satisfies normalize-space(string($child))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00053][Error]
            For any element PostalAddress, at least one of its child elements 
            AddressLine, City, State, Province, PostalCode, or CountryCode must 
            have element content.    
            
            Human Readable: Element PostalAddress must have a value for at least one of its child elements.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M74"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M74"/>
   <xsl:template match="@*|node()" priority="-2" mode="M74">
      <xsl:apply-templates select="*" mode="M74"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00054-->


	<!--RULE -->
<xsl:template match="pubs:ApproximableDateTime" priority="1008" mode="M75">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:ApproximableDateTime"/>
      <xsl:variable name="valueTest" select="."/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if (contains(string($valueTest),'T'))              then matches(string($valueTest),$endsWithTimeZoneRegEx)                 else true()"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if (contains(string($valueTest),'T')) then matches(string($valueTest),$endsWithTimeZoneRegEx) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
          [PUBS-ID-00054][Warning]
          For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/>, if the time designator (T) is specified, it is recommended that time zone be specified.    
          
          Human Readable: It is recommended that time zone be specified if time designtot (T) is specified for the following elements:
          ApproximableDateTime, ddms:approximableDate, ApproximableDateTimeStart,  ApproximableDateTimeEnd, ddms:start, ddms:end, 
          ddms:approvedOn, ddms:postedOn, DatePublished, ddms:receivedOn, DateTimeReferenced, and DateInformation.
      </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="ddms:approximableDate" priority="1007" mode="M75">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="ddms:approximableDate"/>
      <xsl:variable name="valueTest" select="."/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if (contains(string($valueTest),'T'))              then matches(string($valueTest),$endsWithTimeZoneRegEx)                 else true()"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if (contains(string($valueTest),'T')) then matches(string($valueTest),$endsWithTimeZoneRegEx) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
          [PUBS-ID-00054][Warning]
          For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/>, if the time designator (T) is specified, it is recommended that time zone be specified.    
          
          Human Readable: It is recommended that time zone be specified if time designtot (T) is specified for the following elements:
          ApproximableDateTime, ddms:approximableDate, ApproximableDateTimeStart,  ApproximableDateTimeEnd, ddms:start, ddms:end, 
          ddms:approvedOn, ddms:postedOn, DatePublished, ddms:receivedOn, DateTimeReferenced, and DateInformation.
      </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:ApproximableDateTimeStart" priority="1006" mode="M75">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:ApproximableDateTimeStart"/>
      <xsl:variable name="valueTest" select="."/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if (contains(string($valueTest),'T'))              then matches(string($valueTest),$endsWithTimeZoneRegEx)                 else true()"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if (contains(string($valueTest),'T')) then matches(string($valueTest),$endsWithTimeZoneRegEx) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
          [PUBS-ID-00054][Warning]
          For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/>, if the time designator (T) is specified, it is recommended that time zone be specified.    
          
          Human Readable: It is recommended that time zone be specified if time designtot (T) is specified for the following elements:
          ApproximableDateTime, ddms:approximableDate, ApproximableDateTimeStart,  ApproximableDateTimeEnd, ddms:start, ddms:end, 
          ddms:approvedOn, ddms:postedOn, DatePublished, ddms:receivedOn, DateTimeReferenced, and DateInformation.
      </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:ApproximableDateTimeEnd" priority="1005" mode="M75">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:ApproximableDateTimeEnd"/>
      <xsl:variable name="valueTest" select="."/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if (contains(string($valueTest),'T'))              then matches(string($valueTest),$endsWithTimeZoneRegEx)                 else true()"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if (contains(string($valueTest),'T')) then matches(string($valueTest),$endsWithTimeZoneRegEx) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
          [PUBS-ID-00054][Warning]
          For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/>, if the time designator (T) is specified, it is recommended that time zone be specified.    
          
          Human Readable: It is recommended that time zone be specified if time designtot (T) is specified for the following elements:
          ApproximableDateTime, ddms:approximableDate, ApproximableDateTimeStart,  ApproximableDateTimeEnd, ddms:start, ddms:end, 
          ddms:approvedOn, ddms:postedOn, DatePublished, ddms:receivedOn, DateTimeReferenced, and DateInformation.
      </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:DatePublished" priority="1004" mode="M75">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:DatePublished"/>
      <xsl:variable name="valueTest" select="."/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if (contains(string($valueTest),'T'))              then matches(string($valueTest),$endsWithTimeZoneRegEx)                 else true()"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if (contains(string($valueTest),'T')) then matches(string($valueTest),$endsWithTimeZoneRegEx) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
          [PUBS-ID-00054][Warning]
          For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/>, if the time designator (T) is specified, it is recommended that time zone be specified.    
          
          Human Readable: It is recommended that time zone be specified if time designtot (T) is specified for the following elements:
          ApproximableDateTime, ddms:approximableDate, ApproximableDateTimeStart,  ApproximableDateTimeEnd, ddms:start, ddms:end, 
          ddms:approvedOn, ddms:postedOn, DatePublished, ddms:receivedOn, DateTimeReferenced, and DateInformation.
      </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:DateTimeReferenced" priority="1003" mode="M75">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:DateTimeReferenced"/>
      <xsl:variable name="valueTest" select="."/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if (contains(string($valueTest),'T'))              then matches(string($valueTest),$endsWithTimeZoneRegEx)                 else true()"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if (contains(string($valueTest),'T')) then matches(string($valueTest),$endsWithTimeZoneRegEx) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
          [PUBS-ID-00054][Warning]
          For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/>, if the time designator (T) is specified, it is recommended that time zone be specified.    
          
          Human Readable: It is recommended that time zone be specified if time designtot (T) is specified for the following elements:
          ApproximableDateTime, ddms:approximableDate, ApproximableDateTimeStart,  ApproximableDateTimeEnd, ddms:start, ddms:end, 
          ddms:approvedOn, ddms:postedOn, DatePublished, ddms:receivedOn, DateTimeReferenced, and DateInformation.
      </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:DateString" priority="1002" mode="M75">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:DateString"/>
      <xsl:variable name="valueTest" select="."/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if (contains(string($valueTest),'T'))              then matches(string($valueTest),$endsWithTimeZoneRegEx)                 else true()"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if (contains(string($valueTest),'T')) then matches(string($valueTest),$endsWithTimeZoneRegEx) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
          [PUBS-ID-00054][Warning]
          For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/>, if the time designator (T) is specified, it is recommended that time zone be specified.    
          
          Human Readable: It is recommended that time zone be specified if time designtot (T) is specified for the following elements:
          ApproximableDateTime, ddms:approximableDate, ApproximableDateTimeStart,  ApproximableDateTimeEnd, ddms:start, ddms:end, 
          ddms:approvedOn, ddms:postedOn, DatePublished, ddms:receivedOn, DateTimeReferenced, and DateInformation.
      </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:EarliestStartDate" priority="1001" mode="M75">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:EarliestStartDate"/>
      <xsl:variable name="valueTest" select="."/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if (contains(string($valueTest),'T'))              then matches(string($valueTest),$endsWithTimeZoneRegEx)                 else true()"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if (contains(string($valueTest),'T')) then matches(string($valueTest),$endsWithTimeZoneRegEx) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
          [PUBS-ID-00054][Warning]
          For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/>, if the time designator (T) is specified, it is recommended that time zone be specified.    
          
          Human Readable: It is recommended that time zone be specified if time designtot (T) is specified for the following elements:
          ApproximableDateTime, ddms:approximableDate, ApproximableDateTimeStart,  ApproximableDateTimeEnd, ddms:start, ddms:end, 
          ddms:approvedOn, ddms:postedOn, DatePublished, ddms:receivedOn, DateTimeReferenced, and DateInformation.
      </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:LatestEndDate" priority="1000" mode="M75">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:LatestEndDate"/>
      <xsl:variable name="valueTest" select="."/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if (contains(string($valueTest),'T'))              then matches(string($valueTest),$endsWithTimeZoneRegEx)                 else true()"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if (contains(string($valueTest),'T')) then matches(string($valueTest),$endsWithTimeZoneRegEx) else true()">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
          [PUBS-ID-00054][Warning]
          For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/>, if the time designator (T) is specified, it is recommended that time zone be specified.    
          
          Human Readable: It is recommended that time zone be specified if time designtot (T) is specified for the following elements:
          ApproximableDateTime, ddms:approximableDate, ApproximableDateTimeStart,  ApproximableDateTimeEnd, ddms:start, ddms:end, 
          ddms:approvedOn, ddms:postedOn, DatePublished, ddms:receivedOn, DateTimeReferenced, and DateInformation.
      </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M75"/>
   <xsl:template match="@*|node()" priority="-2" mode="M75">
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00055-->


	<!--RULE -->
<xsl:template match="pubs:*[@dateTime | @normalizedDateTime | @normalizedTime]"
                 priority="1000"
                 mode="M76">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:*[@dateTime | @normalizedDateTime | @normalizedTime]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="    (if(@dateTime)    then matches(string(@dateTime),$endsWithTimeZoneRegEx)    else true())     and    (if(@normalizedDateTime)    then matches(string(@normalizedDateTime),$endsWithTimeZoneRegEx)    else true())    and    (if(@normalizedTime)    then matches(string(@normalizedTime),$endsWithTimeZoneRegEx)    else true())    "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="(if(@dateTime) then matches(string(@dateTime),$endsWithTimeZoneRegEx) else true()) and (if(@normalizedDateTime) then matches(string(@normalizedDateTime),$endsWithTimeZoneRegEx) else true()) and (if(@normalizedTime) then matches(string(@normalizedTime),$endsWithTimeZoneRegEx) else true())">
               <xsl:attribute name="flag">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
			[PUBS-ID-00055][Warning]
			For attributes dateTime, normalizedDateTime, and normalizedTime, 
			it is recommended that time zone be specified.
			
			Human Readable: It is recommended that a time zone be specified in the attributes dateTime, normalizedDateTime, and normalizedTime.
		</svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M76"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M76"/>
   <xsl:template match="@*|node()" priority="-2" mode="M76">
      <xsl:apply-templates select="*" mode="M76"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00062-->


	<!--RULE -->
<xsl:template match="pubs:QuantityReference[@unitOfMeasureVocabulary='UNECE20']"
                 priority="1000"
                 mode="M77">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:QuantityReference[@unitOfMeasureVocabulary='UNECE20']"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             some $token in $unce20UnitsOfMeasureList satisfies              compare($token,normalize-space(@unitOfMeasure)) = 0             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="some $token in $unce20UnitsOfMeasureList satisfies compare($token,normalize-space(@unitOfMeasure)) = 0">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00062][Error]         If the element QuantityReference has the attribute unitOfMeasureVocabulary          with a value of UNECE20 the value of attribute unitOfMeasure must be          in CVEnumUNCE20UnitsOfMeasure.xml.         '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M77"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M77"/>
   <xsl:template match="@*|node()" priority="-2" mode="M77">
      <xsl:apply-templates select="*" mode="M77"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00063-->


	<!--RULE -->
<xsl:template match="pubs:QuantityReference[@unitOfMeasureVocabulary='ISO4217-3']"
                 priority="1000"
                 mode="M78">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:QuantityReference[@unitOfMeasureVocabulary='ISO4217-3']"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             some $token in $iso4217TrigraphList satisfies              compare($token,normalize-space(@unitOfMeasure)) = 0             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="some $token in $iso4217TrigraphList satisfies compare($token,normalize-space(@unitOfMeasure)) = 0">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00063][Error]         If the element QuantityReference has the attribute unitOfMeasureVocabulary          with a value of ISO4217-3 the value of attribute unitOfMeasure must be          in CVEnumISO4217Trigraph.xml.         '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M78"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M78"/>
   <xsl:template match="@*|node()" priority="-2" mode="M78">
      <xsl:apply-templates select="*" mode="M78"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00064-->


	<!--RULE -->
<xsl:template match="pubs:QuantityReference[@unitOfMeasureVocabulary='ISO4217-NR']"
                 priority="1000"
                 mode="M79">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:QuantityReference[@unitOfMeasureVocabulary='ISO4217-NR']"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             some $token in $iso4217NumericList satisfies              compare($token,normalize-space(@unitOfMeasure)) = 0             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="some $token in $iso4217NumericList satisfies compare($token,normalize-space(@unitOfMeasure)) = 0">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00064][Error]         If the element QuantityReference has the attribute unitOfMeasureVocabulary with a value          of ISO4217-NR the value of attribute unitOfMeasure must be in CVEnumISO4217Numeric.xml.         '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M79"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M79"/>
   <xsl:template match="@*|node()" priority="-2" mode="M79">
      <xsl:apply-templates select="*" mode="M79"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00065-->


	<!--RULE -->
<xsl:template match="pubs:AuthorInfo" priority="1003" mode="M80">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:AuthorInfo"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="pubs:Surname[normalize-space(string(text()))]             or pubs:UserID[normalize-space(string(text()))]             or pubs:JobTitle[normalize-space(string(text()))]             or pubs:Affiliation[normalize-space(string(text()))]             or pubs:OfficeName[normalize-space(string(text()))]             or pubs:PhoneNumber[normalize-space(string(text()))]             or pubs:FaxNumber[normalize-space(string(text()))]             or pubs:EmailAddress[normalize-space(string(text()))]             or pubs:WebPageAddress[normalize-space(string(text()))]             or pubs:FormattedSignatureBlock[normalize-space(string(text()))]                   or (some $token in pubs:PostalAddress/*/text() satisfies                      normalize-space(string($token)))             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="pubs:Surname[normalize-space(string(text()))] or pubs:UserID[normalize-space(string(text()))] or pubs:JobTitle[normalize-space(string(text()))] or pubs:Affiliation[normalize-space(string(text()))] or pubs:OfficeName[normalize-space(string(text()))] or pubs:PhoneNumber[normalize-space(string(text()))] or pubs:FaxNumber[normalize-space(string(text()))] or pubs:EmailAddress[normalize-space(string(text()))] or pubs:WebPageAddress[normalize-space(string(text()))] or pubs:FormattedSignatureBlock[normalize-space(string(text()))] or (some $token in pubs:PostalAddress/*/text() satisfies normalize-space(string($token)))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00065][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> at least one of the following child elements must have non-whitespace content:  
            Surname, UserID, JobTitle, Affiliation, OfficeName, PostalAddress, PhoneNumber, FaxNumber, 
            EmailAddress, WebPageAddress, FormattedSignatureBlock.
            
            Human Readable: Elements AuthorInfo, CoauthorInfo, ContributingAuthorInfo, POCinfo must have a value for at least one of the following
            child elements: Surname, UserID, JobTitle, Affiliation, OfficeName, PostalAddress, PhoneNumber, FaxNumber, 
            EmailAddress, WebPageAddress, FormattedSignatureBlock.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M80"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:CoauthorInfo" priority="1002" mode="M80">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:CoauthorInfo"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="pubs:Surname[normalize-space(string(text()))]             or pubs:UserID[normalize-space(string(text()))]             or pubs:JobTitle[normalize-space(string(text()))]             or pubs:Affiliation[normalize-space(string(text()))]             or pubs:OfficeName[normalize-space(string(text()))]             or pubs:PhoneNumber[normalize-space(string(text()))]             or pubs:FaxNumber[normalize-space(string(text()))]             or pubs:EmailAddress[normalize-space(string(text()))]             or pubs:WebPageAddress[normalize-space(string(text()))]             or pubs:FormattedSignatureBlock[normalize-space(string(text()))]                   or (some $token in pubs:PostalAddress/*/text() satisfies                      normalize-space(string($token)))             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="pubs:Surname[normalize-space(string(text()))] or pubs:UserID[normalize-space(string(text()))] or pubs:JobTitle[normalize-space(string(text()))] or pubs:Affiliation[normalize-space(string(text()))] or pubs:OfficeName[normalize-space(string(text()))] or pubs:PhoneNumber[normalize-space(string(text()))] or pubs:FaxNumber[normalize-space(string(text()))] or pubs:EmailAddress[normalize-space(string(text()))] or pubs:WebPageAddress[normalize-space(string(text()))] or pubs:FormattedSignatureBlock[normalize-space(string(text()))] or (some $token in pubs:PostalAddress/*/text() satisfies normalize-space(string($token)))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00065][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> at least one of the following child elements must have non-whitespace content:  
            Surname, UserID, JobTitle, Affiliation, OfficeName, PostalAddress, PhoneNumber, FaxNumber, 
            EmailAddress, WebPageAddress, FormattedSignatureBlock.
            
            Human Readable: Elements AuthorInfo, CoauthorInfo, ContributingAuthorInfo, POCinfo must have a value for at least one of the following
            child elements: Surname, UserID, JobTitle, Affiliation, OfficeName, PostalAddress, PhoneNumber, FaxNumber, 
            EmailAddress, WebPageAddress, FormattedSignatureBlock.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M80"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:ContributingAuthorInfo" priority="1001" mode="M80">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:ContributingAuthorInfo"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="pubs:Surname[normalize-space(string(text()))]             or pubs:UserID[normalize-space(string(text()))]             or pubs:JobTitle[normalize-space(string(text()))]             or pubs:Affiliation[normalize-space(string(text()))]             or pubs:OfficeName[normalize-space(string(text()))]             or pubs:PhoneNumber[normalize-space(string(text()))]             or pubs:FaxNumber[normalize-space(string(text()))]             or pubs:EmailAddress[normalize-space(string(text()))]             or pubs:WebPageAddress[normalize-space(string(text()))]             or pubs:FormattedSignatureBlock[normalize-space(string(text()))]                   or (some $token in pubs:PostalAddress/*/text() satisfies                      normalize-space(string($token)))             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="pubs:Surname[normalize-space(string(text()))] or pubs:UserID[normalize-space(string(text()))] or pubs:JobTitle[normalize-space(string(text()))] or pubs:Affiliation[normalize-space(string(text()))] or pubs:OfficeName[normalize-space(string(text()))] or pubs:PhoneNumber[normalize-space(string(text()))] or pubs:FaxNumber[normalize-space(string(text()))] or pubs:EmailAddress[normalize-space(string(text()))] or pubs:WebPageAddress[normalize-space(string(text()))] or pubs:FormattedSignatureBlock[normalize-space(string(text()))] or (some $token in pubs:PostalAddress/*/text() satisfies normalize-space(string($token)))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00065][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> at least one of the following child elements must have non-whitespace content:  
            Surname, UserID, JobTitle, Affiliation, OfficeName, PostalAddress, PhoneNumber, FaxNumber, 
            EmailAddress, WebPageAddress, FormattedSignatureBlock.
            
            Human Readable: Elements AuthorInfo, CoauthorInfo, ContributingAuthorInfo, POCinfo must have a value for at least one of the following
            child elements: Surname, UserID, JobTitle, Affiliation, OfficeName, PostalAddress, PhoneNumber, FaxNumber, 
            EmailAddress, WebPageAddress, FormattedSignatureBlock.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M80"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:POCinfo" priority="1000" mode="M80">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:POCinfo"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="pubs:Surname[normalize-space(string(text()))]             or pubs:UserID[normalize-space(string(text()))]             or pubs:JobTitle[normalize-space(string(text()))]             or pubs:Affiliation[normalize-space(string(text()))]             or pubs:OfficeName[normalize-space(string(text()))]             or pubs:PhoneNumber[normalize-space(string(text()))]             or pubs:FaxNumber[normalize-space(string(text()))]             or pubs:EmailAddress[normalize-space(string(text()))]             or pubs:WebPageAddress[normalize-space(string(text()))]             or pubs:FormattedSignatureBlock[normalize-space(string(text()))]                   or (some $token in pubs:PostalAddress/*/text() satisfies                      normalize-space(string($token)))             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="pubs:Surname[normalize-space(string(text()))] or pubs:UserID[normalize-space(string(text()))] or pubs:JobTitle[normalize-space(string(text()))] or pubs:Affiliation[normalize-space(string(text()))] or pubs:OfficeName[normalize-space(string(text()))] or pubs:PhoneNumber[normalize-space(string(text()))] or pubs:FaxNumber[normalize-space(string(text()))] or pubs:EmailAddress[normalize-space(string(text()))] or pubs:WebPageAddress[normalize-space(string(text()))] or pubs:FormattedSignatureBlock[normalize-space(string(text()))] or (some $token in pubs:PostalAddress/*/text() satisfies normalize-space(string($token)))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00065][Error]
            For element <xsl:text/>
                  <xsl:value-of select="name(.)"/>
                  <xsl:text/> at least one of the following child elements must have non-whitespace content:  
            Surname, UserID, JobTitle, Affiliation, OfficeName, PostalAddress, PhoneNumber, FaxNumber, 
            EmailAddress, WebPageAddress, FormattedSignatureBlock.
            
            Human Readable: Elements AuthorInfo, CoauthorInfo, ContributingAuthorInfo, POCinfo must have a value for at least one of the following
            child elements: Surname, UserID, JobTitle, Affiliation, OfficeName, PostalAddress, PhoneNumber, FaxNumber, 
            EmailAddress, WebPageAddress, FormattedSignatureBlock.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M80"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M80"/>
   <xsl:template match="@*|node()" priority="-2" mode="M80">
      <xsl:apply-templates select="*" mode="M80"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00070-->


	<!--RULE -->
<xsl:template match="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:type[@ddms:qualifier='RevisionRecallDesignations']"
                 priority="1000"
                 mode="M81">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:type[@ddms:qualifier='RevisionRecallDesignations']"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="false()"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false()">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> [PUBS-ID-00070][Error] Element ddms:type must not
            have the attribute ddms:qualifier with a value of RevisionRecallDesignations. The
            required practice for conveying Revision Recall is to use a RevisionRecall handling
            assertion introduced in the 2014 DEC Revision Recall specification.</svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M81"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M81"/>
   <xsl:template match="@*|node()" priority="-2" mode="M81">
      <xsl:apply-templates select="*" mode="M81"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00072-->


	<!--RULE -->
<xsl:template match="pubs:CountryName[@countryCodeVocabulary='ISO-3']"
                 priority="1000"
                 mode="M82">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:CountryName[@countryCodeVocabulary='ISO-3']"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             some $token in $countryIso3166TrigraphList satisfies              compare($token,normalize-space(@countryCode)) = 0             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="some $token in $countryIso3166TrigraphList satisfies compare($token,normalize-space(@countryCode)) = 0">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'         [PUBS-ID-00072][Error]         If element CountryName has attribute countryCodeVocabulary specified as ISO-3         the attribute countryCode value must be in CVEnumPubsCountryISO3166Trigraph.xml         '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M82"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M82"/>
   <xsl:template match="@*|node()" priority="-2" mode="M82">
      <xsl:apply-templates select="*" mode="M82"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00079-->


	<!--RULE -->
<xsl:template match="pubs:DescriptiveMetadata/pubs:Title | tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:title"
                 priority="1000"
                 mode="M83">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:DescriptiveMetadata/pubs:Title | tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:title"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             if(starts-with(upper-case(.),'ADMINISTRATIVE RECALL')                 or starts-with(upper-case(.),'ADMINISTRATIVE REVISION')                 or starts-with(upper-case(.),'SUBSTANTIVE RECALL')                 or starts-with(upper-case(.),'SUBSTANTIVE REVISION')             ) then false()             else true()             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if(starts-with(upper-case(.),'ADMINISTRATIVE RECALL') or starts-with(upper-case(.),'ADMINISTRATIVE REVISION') or starts-with(upper-case(.),'SUBSTANTIVE RECALL') or starts-with(upper-case(.),'SUBSTANTIVE REVISION') ) then false() else true()">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00079][Error] Element DescriptiveMetadata/Title must not start with any of the following strings
            ADMINISTRATIVE RECALL, or ADMINISTRATIVE REVISION, or SUBSTANTIVE RECALL, or SUBSTANTIVE REVISION.
            
            Human Readable: Element DescriptiveMetadata/Title cannot start with any of the following strings: ADMINISTRATIVE RECALL, or 
            ADMINISTRATIVE REVISION, or SUBSTANTIVE RECALL, or SUBSTANTIVE REVISION.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M83"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M83"/>
   <xsl:template match="@*|node()" priority="-2" mode="M83">
      <xsl:apply-templates select="*" mode="M83"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00080-->


	<!--RULE -->
<xsl:template match="pubs:*[@ism:excludeFromRollup]" priority="1000" mode="M84">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:*[@ism:excludeFromRollup]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="self::pubs:ReferencedResourceSecurity"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="self::pubs:ReferencedResourceSecurity">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00080][Error]
            The attribute ism:excludeFromRollup must not be specified for any element in the 
            namespace urn:us:gov:ic:pubs except ReferencedResourceSecurity.
            
            Human Readable: Attribute ism:excluedFromRollup is only permitted with element ReferenceResourceSecurity in the urn:us:gov:ic:pubs
            namespace.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M84"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M84"/>
   <xsl:template match="@*|node()" priority="-2" mode="M84">
      <xsl:apply-templates select="*" mode="M84"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00081-->


	<!--RULE -->
<xsl:template match="pubs:SourceReference[@publisherType='open-source']"
                 priority="1000"
                 mode="M85">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:SourceReference[@publisherType='open-source']"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="string-length(normalize-space(string(./pubs:SourceType))) &gt; 0"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="string-length(normalize-space(string(./pubs:SourceType))) &gt; 0">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00081][Error]
            If element SourceReference has attribute publisherType with 
            a value of [open-source], then child element SourceType must be specified.
            
            Human Readable: If element SourceReference attribute publisherType has a value of [open-source], then there must be a value for child 
            element SourceType.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M85"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M85"/>
   <xsl:template match="@*|node()" priority="-2" mode="M85">
      <xsl:apply-templates select="*" mode="M85"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00082-->


	<!--RULE -->
<xsl:template match="pubs:*[@ism:noticeType][not(self::pubs:Note | self::pubs:AuthorInfo | self::pubs:NoteInline | self::pubs:IntelDoc | self::pubs:CoauthorInfo | self::pubs:ContributingAuthorInfo | self::pubs:POCinfo)]"
                 priority="1000"
                 mode="M86">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:*[@ism:noticeType][not(self::pubs:Note | self::pubs:AuthorInfo | self::pubs:NoteInline | self::pubs:IntelDoc | self::pubs:CoauthorInfo | self::pubs:ContributingAuthorInfo | self::pubs:POCinfo)]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="false()"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false()">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00082][Error]
            The attribute ism:noticeType must not be specified for any element in 
            the namespace urn:us:gov:ic:pubs except IntelDoc, Note, NoteInline, AuthorInfo, CoauthorInfo, ContributingAuthorInfo, or POCinfo.
            
            Human Readable: Attribute ism:noticeType can only exist in the namespace urn:us:gov:ic:pubs for the following elements: IntelDoc, Note, 
            NoteInline, AuthorInfo, CoauthorInfo, ContributingAuthorInfo, or POCinfo.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M86"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M86"/>
   <xsl:template match="@*|node()" priority="-2" mode="M86">
      <xsl:apply-templates select="*" mode="M86"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00086-->


	<!--RULE -->
<xsl:template match="pubs:PublicationMetadataList[count(pubs:PublicationMetadata) &gt; 1]/pubs:PublicationMetadata"
                 priority="1000"
                 mode="M87">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:PublicationMetadataList[count(pubs:PublicationMetadata) &gt; 1]/pubs:PublicationMetadata"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="@ism:classification"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@ism:classification">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00086][Error] When there are multiple PublicationMetadata each must be security portion marked 
            to facilitate use of PublicationMetadata at a different level than the document.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M87"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M87"/>
   <xsl:template match="@*|node()" priority="-2" mode="M87">
      <xsl:apply-templates select="*" mode="M87"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00087-->


	<!--RULE -->
<xsl:template match="pubs:DateInformation" priority="1000" mode="M88">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:DateInformation"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(pubs:DateString)) or normalize-space(string(pubs:ApproximableDateTime)) or normalize-space(string(pubs:SearchableDateTime/pubs:EarliestStartDate)) or normalize-space(string(pubs:SearchableDateTime/pubs:LatestEndDate))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(pubs:DateString)) or normalize-space(string(pubs:ApproximableDateTime)) or normalize-space(string(pubs:SearchableDateTime/pubs:EarliestStartDate)) or normalize-space(string(pubs:SearchableDateTime/pubs:LatestEndDate))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00087][Error]
            If the DateInformation element exists, at least one of its child 
            elements DateString, ApproximableDateTime, or SearchableDateTime must be present.
            
            Human Readable: Element DateInformation must have a value for one of its child elements.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M88"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M88"/>
   <xsl:template match="@*|node()" priority="-2" mode="M88">
      <xsl:apply-templates select="*" mode="M88"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00092-->


	<!--RULE -->
<xsl:template match="pubs:DateInformation/pubs:ApproximableDateTime"
                 priority="1002"
                 mode="M89">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:DateInformation/pubs:ApproximableDateTime"/>
      <xsl:variable name="minYear" select="0001"/>
      <xsl:variable name="maxYear" select="9999"/>
      <xsl:variable name="dateValue" select="."/>
      <xsl:variable name="errMsg"
                    select="'    [PUBS-ID-00092][Error] For element DateInformation, the permissible values     for the year range are 0001 through 9999 for elements ApproximableDateTime,     SearchableDateTime/EarliestStartDate, and SearchableDateTime/LatestEndDate.    '"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if(not(dtf:yearPortionHasFourDigits(string($dateValue))))                   then false()                   else                        xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and                        xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if(not(dtf:yearPortionHasFourDigits(string($dateValue)))) then false() else xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="$errMsg"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M89"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:DateInformation/pubs:SearchableDateTime/pubs:EarliestStartDate"
                 priority="1001"
                 mode="M89">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:DateInformation/pubs:SearchableDateTime/pubs:EarliestStartDate"/>
      <xsl:variable name="minYear" select="0001"/>
      <xsl:variable name="maxYear" select="9999"/>
      <xsl:variable name="dateValue" select="."/>
      <xsl:variable name="errMsg"
                    select="'    [PUBS-ID-00092][Error] For element DateInformation, the permissible values     for the year range are 0001 through 9999 for elements ApproximableDateTime,     SearchableDateTime/EarliestStartDate, and SearchableDateTime/LatestEndDate.    '"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if(not(dtf:yearPortionHasFourDigits(string($dateValue))))                   then false()                   else                        xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and                        xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if(not(dtf:yearPortionHasFourDigits(string($dateValue)))) then false() else xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="$errMsg"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M89"/>
   </xsl:template>

	  <!--RULE -->
<xsl:template match="pubs:DateInformation/pubs:SearchableDateTime/pubs:LatestEndDate"
                 priority="1000"
                 mode="M89">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:DateInformation/pubs:SearchableDateTime/pubs:LatestEndDate"/>
      <xsl:variable name="minYear" select="0001"/>
      <xsl:variable name="maxYear" select="9999"/>
      <xsl:variable name="dateValue" select="."/>
      <xsl:variable name="errMsg"
                    select="'    [PUBS-ID-00092][Error] For element DateInformation, the permissible values     for the year range are 0001 through 9999 for elements ApproximableDateTime,     SearchableDateTime/EarliestStartDate, and SearchableDateTime/LatestEndDate.    '"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="if(not(dtf:yearPortionHasFourDigits(string($dateValue))))                   then false()                   else                        xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and                        xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="if(not(dtf:yearPortionHasFourDigits(string($dateValue)))) then false() else xs:integer(substring(string($dateValue), 1, 4)) &lt;= $maxYear and xs:integer(substring(string($dateValue), 1, 4)) &gt;= $minYear">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="$errMsg"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M89"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M89"/>
   <xsl:template match="@*|node()" priority="-2" mode="M89">
      <xsl:apply-templates select="*" mode="M89"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00093-->


	<!--RULE -->
<xsl:template match="pubs:*[@*]" priority="1000" mode="M90">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:*[@*]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="every $attribute in @* satisfies                     normalize-space(string($attribute))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="every $attribute in @* satisfies normalize-space(string($attribute))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00093][Error] Every attribute on a PUBS element in the document must be specified with a non-whitespace value.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M90"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M90"/>
   <xsl:template match="@*|node()" priority="-2" mode="M90">
      <xsl:apply-templates select="*" mode="M90"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00096-->


	<!--RULE -->
<xsl:template match="pubs:Facility[@xlink:type] | pubs:Person[@xlink:type]"
                 priority="1000"
                 mode="M91">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:Facility[@xlink:type] | pubs:Person[@xlink:type]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="@xlink:type='simple' or @xlink:type='resource'"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="@xlink:type='simple' or @xlink:type='resource'">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
        	[PUBS-ID-00096][Error]
        	For elements pubs:Facility and pubs:Person, if attribute xlink:type is
        	specified then it must have a value of [simple] or [resource].
        	
        	Human Readable: For elements pubs:Facility and pubs:Person, attribute xlink:type value must be either [simple] or [resource]. 
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M91"/>
   <xsl:template match="@*|node()" priority="-2" mode="M91">
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00097-->


	<!--RULE -->
<xsl:template match="pubs:Link[@xlink:type]" priority="1000" mode="M92">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:Link[@xlink:type]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="@xlink:type='simple' or @xlink:type='extended'"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="@xlink:type='simple' or @xlink:type='extended'">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
        	[PUBS-ID-00097][Error]
        	For element pubs:Link, if attribute xlink:type is defined then it must
        	have a value of [simple] or [extended].
        	
        	Human Readable: For element pubs:Link, attribute xlink:type value must be either [simple] or [extended].
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M92"/>
   <xsl:template match="@*|node()" priority="-2" mode="M92">
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00098-->


	<!--RULE -->
<xsl:template match="pubs:*[@xlink:type='extended']" priority="1000" mode="M93">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:*[@xlink:type='extended']"/>
      <xsl:variable name="xlinkAttrLocalNames"
                    select="for $attr in @xlink:* return $attr/local-name()"/>
      <xsl:variable name="allowedXlinkLocalNamesList" select="('type', 'role', 'title')"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="     every $attrLocalName in $xlinkAttrLocalNames satisfies      index-of($allowedXlinkLocalNamesList, $attrLocalName)    "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="every $attrLocalName in $xlinkAttrLocalNames satisfies index-of($allowedXlinkLocalNamesList, $attrLocalName)">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
			[PUBS-ID-00098][Error] For any element,
			if attribute xlink:type is specified with a value of [extended], then that element can only
			define the following attributes in the xlink namespace: xlink:type, xlink:role, and
			xlink:title.
			
			Human Readable: If any element has attribute xlink:type with a value of [extended], then that element can only have values for the
			following in the xlink namespace: xlink:type, xlink:role, and xlink:title.
		</svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M93"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M93"/>
   <xsl:template match="@*|node()" priority="-2" mode="M93">
      <xsl:apply-templates select="*" mode="M93"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00099-->


	<!--RULE -->
<xsl:template match="pubs:*[@xlink:type='resource']" priority="1000" mode="M94">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:*[@xlink:type='resource']"/>
      <xsl:variable name="xlinkAttrLocalNames"
                    select="for $attr in @xlink:* return $attr/local-name()"/>
      <xsl:variable name="allowedXlinkLocalNamesList"
                    select="('type', 'role', 'title', 'label')"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="     every $attrLocalName in $xlinkAttrLocalNames satisfies      index-of($allowedXlinkLocalNamesList, $attrLocalName)    "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="every $attrLocalName in $xlinkAttrLocalNames satisfies index-of($allowedXlinkLocalNamesList, $attrLocalName)">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
			[PUBS-ID-00099][Error] For any element, if attribute xlink:type is specified
			with a value of [resource], then that element can only define the following
			attributes in the xlink namespace: xlink:type, xlink:role, xlink:title, and xlink:label.
			
			Human Readable: If any element has attribute xlink:type with a value of [resource], then that element can only have values for the
			following in the xlink namespace: xlink:type, xlink:role, xlink:title, and xlink:label.
		</svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M94"/>
   <xsl:template match="@*|node()" priority="-2" mode="M94">
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00100-->


	<!--RULE -->
<xsl:template match="pubs:*[@xlink:type='simple']" priority="1000" mode="M95">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:*[@xlink:type='simple']"/>
      <xsl:variable name="xlinkAttrLocalNames"
                    select="for $attr in @xlink:* return $attr/local-name()"/>
      <xsl:variable name="allowedXlinkLocalNamesList"
                    select="('type', 'href', 'role', 'arcrole', 'title', 'show', 'actuate')"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="     every $attrLocalName in $xlinkAttrLocalNames satisfies      index-of($allowedXlinkLocalNamesList, $attrLocalName)    "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="every $attrLocalName in $xlinkAttrLocalNames satisfies index-of($allowedXlinkLocalNamesList, $attrLocalName)">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
			[PUBS-ID-00100][Error] For any element, if attribute xlink:type is specified
			with a value of [simple], then that element can only define the following
			attributes in the xlink namespace: xlink:type, xlink:href, xlink:role, xlink:arcrole,
			xlink:title, xlink:show, and xlink:actuate.
			
			Human Readable: If any element has attribute xlink:type with a value of [simple], then that element can only have values for the
			following in the xlink namespace: xlink:type, xlink:href, xlink:role, xlink:arcrole, xlink:title, xlink:show, and xlink:actuate.
		</svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M95"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M95"/>
   <xsl:template match="@*|node()" priority="-2" mode="M95">
      <xsl:apply-templates select="*" mode="M95"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00101-->


	<!--RULE -->
<xsl:template match="pubs:*[@xlink:*]" priority="1000" mode="M96">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:*[@xlink:*]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="normalize-space(string(@xlink:type))    or normalize-space(string(@xlink:href))"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="normalize-space(string(@xlink:type)) or normalize-space(string(@xlink:href))">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
			[PUBS-ID-00101][Error] For any element, if any attribute is specified with the 
			xlink namespace 'http://www.w3.org/1999/xlink', then attributes xlink:type and/or
			xlink:href must be specified.
			
			Human Readable: If any element has an attribute specified with the xlink namespace 'http://www.w3.org/1999/xlink', 
			then attributes xlink:type and/or xlink:href must be specified.
		</svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M96"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M96"/>
   <xsl:template match="@*|node()" priority="-2" mode="M96">
      <xsl:apply-templates select="*" mode="M96"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00103-->


	<!--RULE -->
<xsl:template match="pubs:*[@noteType]" priority="1000" mode="M97">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:*[@noteType]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="not(@ism:unregisteredNoticeType|@ism:noticeType)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="not(@ism:unregisteredNoticeType|@ism:noticeType)">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00103][Error]
            If an element has @noteType then it cannot have @ism:noticeType or 
            @ism:unregisteredNoticeType.
            
            Human Readable: An element with attribute noteType cannot have the 
            ISM attributes noticeType or unregisteredNoticeType.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M97"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M97"/>
   <xsl:template match="@*|node()" priority="-2" mode="M97">
      <xsl:apply-templates select="*" mode="M97"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00104-->


	<!--RULE -->
<xsl:template match="pubs:Para[contains(concat(' ',string(@ism:ownerProducer),' '), ' USA ') and (@ism:FGIsourceOpen or @ism:FGIsourceProtected)]"
                 priority="1000"
                 mode="M98">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:Para[contains(concat(' ',string(@ism:ownerProducer),' '), ' USA ') and (@ism:FGIsourceOpen or @ism:FGIsourceProtected)]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test=".//pubs:SourceReferenceCitationRef"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test=".//pubs:SourceReferenceCitationRef">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>[PUBS-ID-00104][Error] When there is
            a mixture of Foreign Government Information (FGI) and US data present on a Para element
            with ism:ownerProducer containing [USA], then there must exist a source citation. reference Human
            Readable: Element Para with ism:ownerProducer containing [USA] and a mix of Foreign
            Goverment Information (FGI) and US data, must have a source citation reference.</svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M98"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M98"/>
   <xsl:template match="@*|node()" priority="-2" mode="M98">
      <xsl:apply-templates select="*" mode="M98"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00110-->


	<!--RULE -->
<xsl:template match="tdf:*[descendant::tdf:StructuredPayload/pubs:IntelDoc]/tdf:Assertion/tdf:StructuredStatement/ddms:resource"
                 priority="1000"
                 mode="M99">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:*[descendant::tdf:StructuredPayload/pubs:IntelDoc]/tdf:Assertion/tdf:StructuredStatement/ddms:resource"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="@ddms:compliesWith='MIN_DISCOVERABLE'"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="@ddms:compliesWith='MIN_DISCOVERABLE'">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00110][Error]
            In PUBS, the attribute ddms:compliesWith on element ddms:resource 
            must always have complies with specified with a value of [MIN_DISCOVERABLE].
            
            Human Readable: Element ddms:resource attribute ddms:compliesWith requires a value of MIN_DISCOVERABLE.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M99"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M99"/>
   <xsl:template match="@*|node()" priority="-2" mode="M99">
      <xsl:apply-templates select="*" mode="M99"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00111-->


	<!--RULE -->
<xsl:template match="tdf:TrustedDataObject[descendant::tdf:StructuredStatement/pubs:IntelDocMetadata]"
                 priority="1000"
                 mode="M100">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:TrustedDataObject[descendant::tdf:StructuredStatement/pubs:IntelDocMetadata]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates[@ddms:posted] or             tdf:StructuredPayload/descendant::pubs:DatePublished"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="tdf:Assertion/tdf:StructuredStatement/ddms:resource/ddms:dates[@ddms:posted] or tdf:StructuredPayload/descendant::pubs:DatePublished">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00111][Error]
            At least one of either ddms:resource/ddms:dates/@ddms:posted or pubs:DatePublished 
            is required to be specified.      
            
            Human Readable: A PUBS document must have either a date posted or date published 
            specified for itself.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M100"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M100"/>
   <xsl:template match="@*|node()" priority="-2" mode="M100">
      <xsl:apply-templates select="*" mode="M100"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00113-->


	<!--RULE -->
<xsl:template match="tdf:TrustedDataObject[descendant::tdf:StructuredStatement/pubs:IntelDocMetadata]"
                 priority="1000"
                 mode="M101">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:TrustedDataObject[descendant::tdf:StructuredStatement/pubs:IntelDocMetadata]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="descendant::tdf:StructuredStatement/irm:ICResourceMetadataPackage"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="descendant::tdf:StructuredStatement/irm:ICResourceMetadataPackage">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00113][Error]
            If tdf:TrustedDataObject contains an assertion with a PUBS structured statement, 
            it must also contain an assertion with an IRM structured statement. 
            
            Human Readable: If a Trusted Data Object contains a PUBS assertion, it must also contain an IRM assertion. 
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M101"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M101"/>
   <xsl:template match="@*|node()" priority="-2" mode="M101">
      <xsl:apply-templates select="*" mode="M101"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00114-->


	<!--RULE -->
<xsl:template match="*[@ism:DESVersion]" priority="1000" mode="M102">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="*[@ism:DESVersion]"/>
      <xsl:variable name="version"
                    select="number(if (contains(@ism:DESVersion,'-')) then substring-before(@ism:DESVersion,'-') else @ism:DESVersion)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="$version &gt;= 13"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$version &gt;= 13">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00114][Error] The @ism:DESVersion is less than the minimum version 
            allowed: 13. 
            
            Human Readable: The ISM version imported by PUBS must be greater than or equal to 13. 
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M102"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M102"/>
   <xsl:template match="@*|node()" priority="-2" mode="M102">
      <xsl:apply-templates select="*" mode="M102"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00115-->


	<!--RULE -->
<xsl:template match="/" priority="1000" mode="M103">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="tdf:*//tdf:StructuredPayload/pubs:IntelDoc"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="tdf:*//tdf:StructuredPayload/pubs:IntelDoc">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00115][Error] The root node of a PUBS document must be pubs:IntelDoc 
            in a tdf:StructuredPayload element of a TDF instance.
            
            Human Readable: PUBS must be in a TDF and the starting node in the payload 
            must be pubs:IntelDoc.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M103"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M103"/>
   <xsl:template match="@*|node()" priority="-2" mode="M103">
      <xsl:apply-templates select="*" mode="M103"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00116-->


	<!--RULE -->
<xsl:template match="tdf:TrustedDataObject/tdf:StructuredPayload/pubs:IntelDoc"
                 priority="1000"
                 mode="M104">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:TrustedDataObject/tdf:StructuredPayload/pubs:IntelDoc"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="ancestor::tdf:TrustedDataObject/tdf:Assertion/tdf:StructuredStatement/pubs:IntelDocMetadata"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="ancestor::tdf:TrustedDataObject/tdf:Assertion/tdf:StructuredStatement/pubs:IntelDocMetadata">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>[PUBS-ID-00116][Error] If a tdf:TrustedDataObject has an IntelDoc element, it must contain a
            pubs:IntelDocMetadata assertion.</svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M104"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M104"/>
   <xsl:template match="@*|node()" priority="-2" mode="M104">
      <xsl:apply-templates select="*" mode="M104"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00117-->


	<!--RULE -->
<xsl:template match="pubs:SourceReferenceCitationRef|pubs:AppendedReferenceCitationRef"
                 priority="1000"
                 mode="M105">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:SourceReferenceCitationRef|pubs:AppendedReferenceCitationRef"/>
      <xsl:variable name="citationIDList"
                    select="ancestor::tdf:TrustedDataObject//@src:citationID"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="some $citationID in $citationIDList satisfies compare($citationID,normalize-space(@src:citationIDRef)) = 0"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="some $citationID in $citationIDList satisfies compare($citationID,normalize-space(@src:citationIDRef)) = 0">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00117][Error]
            The value of each attribute @src:citationIDRef (<xsl:text/>
                  <xsl:value-of select="@src:citationIDRef"/>
                  <xsl:text/>) must be found in the list of attribute @src:citationID values. (<xsl:text/>
                  <xsl:value-of select="for $citationID in $citationIDList return $citationID"/>
                  <xsl:text/>)
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M105"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M105"/>
   <xsl:template match="@*|node()" priority="-2" mode="M105">
      <xsl:apply-templates select="*" mode="M105"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00118-->


	<!--RULE -->
<xsl:template match="*[@mime:CESVersion]" priority="1000" mode="M106">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="*[@mime:CESVersion]"/>
      <xsl:variable name="version"
                    select="number(if (contains(@mime:CESVersion,'-')) then substring-before(@mime:CESVersion,'-') else @mime:CESVersion)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="$version &gt;= 201609"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$version &gt;= 201609">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00118][Error] The @mime:CESVersion is less than the minimum version 
            allowed: 201609. 
            
            Human Readable: The MIME version imported by PUBS must be greater than or equal to 2016-SEP. 
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M106"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M106"/>
   <xsl:template match="@*|node()" priority="-2" mode="M106">
      <xsl:apply-templates select="*" mode="M106"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00119-->


	<!--RULE -->
<xsl:template match="*[pubs:MediaResource//@mime:mimeType]"
                 priority="1000"
                 mode="M107">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="*[pubs:MediaResource//@mime:mimeType]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="//@mime:CESVersion"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="//@mime:CESVersion">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00119][Error] If @mime:mimeType exists, then @mime:CESVersion must exist as well.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M107"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M107"/>
   <xsl:template match="@*|node()" priority="-2" mode="M107">
      <xsl:apply-templates select="*" mode="M107"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00120-->


	<!--RULE -->
<xsl:template match="pubs:IntelDocMetadata[@intdis:CESVersion]"
                 priority="1000"
                 mode="M108">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:IntelDocMetadata[@intdis:CESVersion]"/>
      <xsl:variable name="version"
                    select="number(if (contains(@intdis:CESVersion,'-')) then substring-before(@intdis:CESVersion,'-') else @intdis:CESVersion)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="$version &gt;= 201508"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$version &gt;= 201508">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00120][Error] The @intdis:CESVersion is less than the minimum version 
            allowed: 201508. 
            
            Human Readable: The INTDIS version imported by PUBS must be greater than or equal to 2015-AUG. 
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M108"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M108"/>
   <xsl:template match="@*|node()" priority="-2" mode="M108">
      <xsl:apply-templates select="*" mode="M108"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00121-->


	<!--RULE -->
<xsl:template match="pubs:IntelDiscipline" priority="1000" mode="M109">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="pubs:IntelDiscipline"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="//@intdis:CESVersion"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="//@intdis:CESVersion">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00121][Error] If pubs:IntelDiscipline exists, then @intdis:CESVersion must exist as well.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M109"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M109"/>
   <xsl:template match="@*|node()" priority="-2" mode="M109">
      <xsl:apply-templates select="*" mode="M109"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00122-->


	<!--RULE -->
<xsl:template match="pubs:OriginalLanguageVersion//ddms:language"
                 priority="1000"
                 mode="M110">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="pubs:OriginalLanguageVersion//ddms:language"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="             some $token in $compoundLanguageQualifierTypeList satisfies              compare($token,normalize-space(@ddms:qualifier)) = 0             "/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="some $token in $compoundLanguageQualifierTypeList satisfies compare($token,normalize-space(@ddms:qualifier)) = 0">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
                  <xsl:text/>
                  <xsl:value-of select="'   [PUBS-ID-00122][Error] For element ddms:language, attribute ddms:qualifier must have a    value in CVEnumIRMCompoundLanguageQualifierType.xml.   '"/>
                  <xsl:text/>
               </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M110"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M110"/>
   <xsl:template match="@*|node()" priority="-2" mode="M110">
      <xsl:apply-templates select="*" mode="M110"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00123-->


	<!--RULE -->
<xsl:template match="*[@irm:DESVersion]" priority="1000" mode="M111">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="*[@irm:DESVersion]"/>
      <xsl:variable name="version"
                    select="number(if (contains(@irm:DESVersion,'-')) then substring-before(@irm:DESVersion,'-') else @irm:DESVersion)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="$version &gt;= 12"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$version &gt;= 12">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00123][Error] The @irm:DESVersion is less than the minimum version 
            allowed: 12. 
            
            Human Readable: The IRM version imported by PUBS must be greater than or equal to 12. 
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M111"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M111"/>
   <xsl:template match="@*|node()" priority="-2" mode="M111">
      <xsl:apply-templates select="*" mode="M111"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00124-->


	<!--RULE -->
<xsl:template match="*[@src:DESVersion]" priority="1000" mode="M112">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="*[@src:DESVersion]"/>
      <xsl:variable name="version"
                    select="number(if (contains(@src:DESVersion,'-')) then substring-before(@src:DESVersion,'-') else @src:DESVersion)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="$version &gt;= 201508"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$version &gt;= 201508">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00124][Error] The @src:DESVersion is less than the minimum version 
            allowed: 201508. 
            
            Human Readable: The SRC version imported by PUBS must be greater than or equal to 2015-AUG. 
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M112"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M112"/>
   <xsl:template match="@*|node()" priority="-2" mode="M112">
      <xsl:apply-templates select="*" mode="M112"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00125-->


	<!--RULE -->
<xsl:template match="*[@tdf:version]" priority="1000" mode="M113">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="*[@tdf:version]"/>
      <xsl:variable name="version"
                    select="number(if (contains(@tdf:version,'-')) then substring-before(@tdf:version,'-') else @tdf:version)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="$version &gt;= 3"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$version &gt;= 3">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00125][Error] The @tdf:version is less than the minimum version 
            allowed: 3. 
            
            Human Readable: The IC-TDF version imported by PUBS must be greater than or equal to 3. 
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M113"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M113"/>
   <xsl:template match="@*|node()" priority="-2" mode="M113">
      <xsl:apply-templates select="*" mode="M113"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00126-->


	<!--RULE -->
<xsl:template match="*[@ism:ISMCATCESVersion]" priority="1000" mode="M114">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="*[@ism:ISMCATCESVersion]"/>
      <xsl:variable name="version"
                    select="number(if (contains(@ism:ISMCATCESVersion,'-')) then substring-before(@ism:ISMCATCESVersion,'-') else @ism:ISMCATCESVersion)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="$version &gt;= 201505"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$version &gt;= 201505">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>[PUBS-ID-00126][Error] The @ism:ISMCATCESVersion is less
            than the minimum version allowed: 201505.
        
            Human Readable: The ISMCAT version imported by PUBS must be greater than or equal to 2015-MAY.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M114"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M114"/>
   <xsl:template match="@*|node()" priority="-2" mode="M114">
      <xsl:apply-templates select="*" mode="M114"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00127-->


	<!--RULE -->
<xsl:template match="*[@edh:DESVersion]" priority="1000" mode="M115">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="*[@edh:DESVersion]"/>
      <xsl:variable name="version"
                    select="number(if (contains(@edh:DESVersion,'-')) then substring-before(@edh:DESVersion,'-') else @edh:DESVersion)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="$version &gt;= 4"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$version &gt;= 4">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00127][Error] The @edh:DESVersion is less than the minimum version 
            allowed: 4. 
            
            Human Readable: The IC-EDH version imported by PUBS must be greater than or equal to 4. 
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M115"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M115"/>
   <xsl:template match="@*|node()" priority="-2" mode="M115">
      <xsl:apply-templates select="*" mode="M115"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00128-->


	<!--RULE -->
<xsl:template match="//pubs:IntelDoc//*[@virt:DESVersion]"
                 priority="1000"
                 mode="M116">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//pubs:IntelDoc//*[@virt:DESVersion]"/>
      <xsl:variable name="version"
                    select="number(if (contains(@virt:DESVersion,'-')) then substring-before(@virt:DESVersion,'-') else @virt:DESVersion)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="$version &gt;= 1"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$version &gt;= 1">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00128][Error] The @virt:DESVersion is less than the minimum version 
            allowed: 1. 
            
            Human Readable: The VIRT version imported by PUBS must be greater than or equal to 1.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M116"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M116"/>
   <xsl:template match="@*|node()" priority="-2" mode="M116">
      <xsl:apply-templates select="*" mode="M116"/>
   </xsl:template>

   <!--PATTERN PUBS-ID-00129-->


	<!--RULE -->
<xsl:template match="//pubs:IntelDoc//virt:* | //pubs:IntelDoc//*[@virt:*]"
                 priority="1000"
                 mode="M117">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//pubs:IntelDoc//virt:* | //pubs:IntelDoc//*[@virt:*]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="exists(//pubs:IntelDoc//*[@virt:DESVersion])"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="exists(//pubs:IntelDoc//*[@virt:DESVersion])">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [PUBS-ID-00129][Error] If VIRT elements or attributes are used in PUBS, there must exist 
            a descendant element of pubs:IntelDoc that has @virt:DESVersion. 
            
            Human Readable: If elements or attributes of VIRT are used in PUBS, there must be a descendant 
            element of pubs:IntelDoc that defines the VIRT DESVersion.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M117"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M117"/>
   <xsl:template match="@*|node()" priority="-2" mode="M117">
      <xsl:apply-templates select="*" mode="M117"/>
   </xsl:template>
</xsl:stylesheet>
<!--UNCLASSIFIED-->
